<%@ include file="/tiles/taglibs.jsp" %>
<%@page import="java.util.*"%>
<%@page import="com.sas.oprisk.server.*"%>
<%@page import="com.sas.oprisk.monitor.web.table.LinkTypeBusinessTypeNmCellFormatter" %>
<%@page import="com.sas.oprisk.monitor.web.table.LinkTypeBusinessTypeNmCellFormatter.Side1" %>
<%@page import="com.sas.oprisk.monitor.web.table.LinkTypeBusinessTypeNmCellFormatter.Side2" %>
<%@page import="com.sas.oprisk.monitor.web.table.TableCellFormatter"%>

<%
Locale locale = request.getLocale();
ResourceBundle bundle = ApplicationProperties.getBundle(locale);
PersistenceSession psession = MonitorRequest.getPersistenceSession(request);
Map colFormatter = new HashMap();
MonitorContext context = MonitorContext.getMonitorContext(request);
colFormatter.put("businessObjectTypeNm1", new LinkTypeBusinessTypeNmCellFormatter.Side1(context));
colFormatter.put("businessObjectTypeNm2", new LinkTypeBusinessTypeNmCellFormatter.Side2(context));
%>

<mon:Page template="default">
   <mon:Head>
      
   </mon:Head>
   <mon:Body>      
      <html:form action="/LinkTypeQuery">           
         <mon:Content>
            <mon:tableComponent columnFormatters="<%= colFormatter %>" id="linkType">
         <%
            
            LinkType linkType = (LinkType)pageContext.findAttribute("linkType");
            if(linkType != null){
               String[] linkTypeNames = linkType.getLinkTypeNames(locale, psession);
               String[] linkTypeDescriptions = linkType.getLinkTypeDescriptions(locale, psession);
               String[] linkTypeHelp = linkType.getLinkTypeHelp(locale, psession);
         %>
            <mon:fixedColumn before="false" title='<%= bundle.getString("linkTypes.linkTypeName1") %>' >
               <%= linkTypeNames[0] == null ? "" : StringUtil.escapeHTML(linkTypeNames[0]) %>
            </mon:fixedColumn>
            <mon:fixedColumn before="false" title='<%= bundle.getString("linkTypes.linkTypeDescription1") %>' >
               <%= linkTypeDescriptions[0] == null ? "" : StringUtil.escapeHTML(linkTypeDescriptions[0]) %>
            </mon:fixedColumn>
            <mon:fixedColumn before="false" title='<%= bundle.getString("linkTypes.linkTypeHelp1") %>' >
               <%= linkTypeHelp[0] == null ? "" : StringUtil.escapeHTML(linkTypeHelp[0]) %>
            </mon:fixedColumn>
            <mon:fixedColumn before="false" title='<%= bundle.getString("linkTypes.linkTypeName2") %>' >
               <%= linkTypeNames[1] == null ? "" : StringUtil.escapeHTML(linkTypeNames[1]) %>
            </mon:fixedColumn>
            <mon:fixedColumn before="false" title='<%= bundle.getString("linkTypes.linkTypeDescription2") %>' >
               <%= linkTypeDescriptions[1] == null ? "" : StringUtil.escapeHTML(linkTypeDescriptions[1]) %>
            </mon:fixedColumn>
            <mon:fixedColumn before="false" title='<%= bundle.getString("linkTypes.linkTypeHelp2") %>' >
               <%= linkTypeHelp[1] == null ? "" : StringUtil.escapeHTML(linkTypeHelp[1]) %>
            </mon:fixedColumn>
            <% } %>
         </mon:tableComponent>
         </mon:Content>   
      </html:form>      
   </mon:Body>
</mon:Page>
