<%@include file="/tiles/taglibs.jsp"%>
<%@taglib uri='http://www.sas.com/taglib/sas-uis' prefix='sas-uis' %>
<%@taglib uri="http://www.sas.com/taglib/sas" prefix="sas"%>
<%@page import="com.sas.servlet.tbeans.dualselector.html.DualListSelector"%>
<%@page import="com.sas.servlet.tbeans.form.html.Form"%>
<%@page import="javax.swing.ListModel"%>
<%@page import="javax.swing.DefaultListModel"%>
<%@page import="com.sas.oprisk.monitor.web.tags.duallist.DualListForm"%>
<%@page import="com.sas.servlet.tbeans.form.html.ListBox"%>
<%@page import="com.sas.servlet.tbeans.StyleInfo"%>
<%@page import="java.util.*"%>
<%@page import="java.util.Enumeration"%>
<%@ page import="com.sas.oprisk.monitor.web.layout.*" %>
<%!
static final int MAX_DISPLAYED_FIELD_COUNT = 30;
%>
<%
   PageLayout pageLayout = PageLayout.getPageLayout(request);
%>
<mon:Page template="innerpopup">

<mon:Head>

   <style type="text/css">
   .sourceListBox, .targetListBox{width:25em; }
   </style>
   
   <mon:include js="/components/table/Customizer.js" />
   <mon:include property="TC.tableComponent.noColumns.txt" />
   
</mon:Head>

<mon:Body>

<mon:Content>

<script type="text/javascript">
var RB = new ResourceBundle();
</script>

<form name="dualListForm" >

<mon:maintainWizardState />
 <%
    Form form = new Form("dualListForm");
    form.setName("dualListForm");
    DualListSelector dualSelector = new DualListSelector();
    dualSelector.setRequest(request);
    dualSelector.setFormEnabled(false);
    dualSelector.setFormObject(form);
    DefaultListModel available = new DefaultListModel();
    dualSelector.setModel(available);
    request.setAttribute("available", available);

    final Locale locale = request.getLocale();
    final ResourceBundle bundle = ApplicationProperties.getBundle(locale);

 %> 
<sas:DualListSelector id="selectedHandles" model="available" 
   formName="<%= form.getName() %>" submitButtonVisible="false"
   sourceLabel='<%= bundle.getString("TC.customizer.available.title") %>' 
   targetLabel='<%= bundle.getString("TC.customizer.displayed.title") %>' size="12" multipleSelections="true" 
   render="false" targetMaximumCount="<%= MAX_DISPLAYED_FIELD_COUNT %>"/>
   
<%
    Map map = selectedHandles.getStyleMap();
    map.put(DualListSelector.DUALSELECTOR_SOURCE_LISTBOX, new StyleInfo("sourceListBox"));
    map.put(DualListSelector.DUALSELECTOR_TARGET_LISTBOX, new StyleInfo("targetListBox"));
%>

<sas:DualListSelector ref="selectedHandles" render="true" />

<script type="text/javascript">
customizer = new Customizer("<%= StringUtil.escapeJSForHTML(request.getParameter("entryId")) %>");

var maxSelectionErrorElement = document.forms["dualListForm"].elements["selectedHandles_maxSelection"];
if (maxSelectionErrorElement && maxSelectionErrorElement.value)
{
   maxSelectionErrorElement.value = 
      maxSelectionErrorElement.value.replace(".", " (" + <%= MAX_DISPLAYED_FIELD_COUNT %> + ").");
}

var maxItemsErrorElement = document.forms["dualListForm"].elements["selectedHandles_maxItems"];
if (maxItemsErrorElement && maxItemsErrorElement.value)
{
   maxItemsErrorElement.value =
      maxItemsErrorElement.value.replace(".", " (" + <%= MAX_DISPLAYED_FIELD_COUNT %> + ").");
}
</script>
</form>

</mon:Content>

<mon:PopupButtonBar>

   <mon:Button type="submit" name="btnOk" id="btnOk" onclick="customizer.ok()">
      <%=pageLayout.getString("TC.customizer.button.ok.txt")%>
   </mon:Button>
   
   <mon:Button name="btnCancel" id="btnCancel" onclick="customizer.doCancel()">
      <%=pageLayout.getString("TC.customizer.button.cancel.txt")%>
   </mon:Button>
   
   <mon:Button name="btnDefaults" id="btnDefaults" onclick="customizer.doDefaults()">
      <%=pageLayout.getString("TC.customizer.button.defaults.txt")%>
   </mon:Button>

</mon:PopupButtonBar>

</mon:Body>

</mon:Page>