<%@ page import="java.util.*" %>
<%@page import="org.apache.commons.lang.StringUtils"%>
<%@page import="com.sas.solutions.cpb.web.util.CPBWebConstants"%>
<%@ page import="com.sas.oprisk.monitor.web.csa.*" %>
<%@ page import="com.sas.oprisk.monitor.web.*" %>
<%@ page import="com.sas.oprisk.monitor.web.tags.*" %>
<%@ page import="com.sas.oprisk.server.logical.*" %>
<%@ page import="com.sas.oprisk.server.util.*" %>
<%@ page import="com.sas.oprisk.framework.server.util.*" %>
<%@page import="com.sas.oprisk.monitor.web.costComponent.CostComponentAction.CostComponentModel"%>
<%@page import="com.sas.oprisk.monitor.web.costComponent.CostComponentAction"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@page import="com.sas.solutions.cpb.web.util.RequestUtil"%>
<%@page import="com.sas.oprisk.server.cpb.uiDefType.*"%>

<%@ include file="/tiles/taglibs.jsp" %>

<%
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   final Locale locale = request.getLocale();
   
   final ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   final CostComponentAction.CostComponentModel model = CostComponentAction.getModel(request, psession);
   final UIContext uiContext = RequestUtil.getUIContext(request);
%>

<mon:Page template="popup">
   <mon:Head>
      <mon:include js="/dwr/interface/RCSAService.js" />

      <script type="text/javascript">
      
      function doOk(button) {
         var f = document.forms.costComponentForm;
         lock(button.parentNode);
         f.submit();
      }
      
      
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="/CostComponentAction?method=save">               
         
         <mon:Content>
            <input type="hidden" name="attachedToTpHandle" value='<%= model.getCostComponentContainer().getTaggedPointerHandle() %>' /> 
            <input type="hidden" name="costCompHandle" value="<c:out value='${uiContext.handle}' />"></input>
            <input type="hidden" name="<%= CostComponentUIDefinitionType.FIELD_COSTS %>" value="<%= StringUtil.escapeHTML(request.getParameter(CostComponentUIDefinitionType.FIELD_COSTS)) %>"/>
            
            <% 
               String uiContextId = request.getParameter(CostComponentAction.PARAM_UI_DEF_TYPE);
               if (StringUtils.isNotEmpty(uiContextId)) { 
            %>  
                  <input type="hidden" name="<%= CostComponentAction.PARAM_UI_DEF_TYPE %>" value="<%= StringUtil.escapeHTML(uiContextId) %>" />
            <% } %>    
            
            <%-- render the screen --%>
            <cpb:screen readOnly="<%= model.isReadOnly() %>" />
               

         </mon:Content>   
         
         <mon:PopupButtonBar>
            <% if (!model.isReadOnly()) { %>
               <mon:Button name="okButton" onclick="doOk(this)">
                  <fmt:message key='okButton.txt' />
               </mon:Button>
            <% } %>
            <mon:Button name="doneCancelButton" onclick="window.close()">
               <% if (model.isReadOnly()) { %>
                  <fmt:message key='application.button.done.txt' />
               <% } else { %>
                  <fmt:message key='application.button.cancel.txt' />
               <% } %>
            </mon:Button>
         </mon:PopupButtonBar>
      </html:form>      
   </mon:Body>
</mon:Page>
