<%@ page
   import="com.sas.oprisk.monitor.web.tags.smarttags.SmartLabelTag"%>
<%@ include file="/tiles/taglibs.jsp"%>

<%@page import="org.apache.commons.lang.StringUtils"%>
<%@page import="com.sas.solutions.cpb.web.util.CPBWebConstants"%>
<%@page import="com.sas.solutions.cpb.web.util.HTMLUtil"%><mon:setBundle />

<mon:Page template="details">
   <mon:Head>
      <script type="text/javascript">

      function monitorInit() {
         initNSMenu();
         document.forms[0].comments.focus();
      }
      
      function doOk() {
         var f = document.forms[0];
         breadcrumb(f);
      }
      
      function doCancel() {
         var f = document.forms[0];
         f.cancel.value = "true";
         breadcrumb(f);
      }
      
      </script>
   </mon:Head>
   <mon:Body>
      <html:form action="/Assessment">
         <mon:ToolBar>
            <mon:Button name="sendMailButton" onclick="doOk()">
               <fmt:message key='application.button.sendMail.txt' />
            </mon:Button>
            <mon:Button name="cancelButton" onclick="doCancel()">
               <fmt:message key='application.cancel.txt' />
            </mon:Button>
         </mon:ToolBar>

         <mon:Content>
            <input type="hidden" name="cancel" value="false" />

            <%
               String fieldName =
                              request.getParameter(CPBWebConstants.PARAM_FIELD_NAME);
                           if (StringUtils.isNotEmpty(fieldName))
                           {
            %>
            <input type="hidden"
               name="<%=CPBWebConstants.PARAM_FIELD_NAME%>"
               value="<%= StringUtil.escapeHTML(fieldName) %>" />
            <%
               String qnrParamName =
                                 "selectedQnrs_"
                                    + HTMLUtil.getSafeFieldName(fieldName);
                              if (StringUtils.isNotEmpty(request
                                 .getParameter(qnrParamName)))
                              {
                                 String[] selectedQnrs =
                                    request.getParameterValues(qnrParamName);
                                 for (int i = 0; i < selectedQnrs.length; i++)
                                 {
            %>
            <input type="hidden" name="<%= StringUtil.escapeHTML(qnrParamName) %>"
               value="<%= StringUtil.escapeHTML(selectedQnrs[i]) %>" />
            <%
               }
                              }
                           }
            %>

            <table width="100%">

               <tr id="previewQnrEmail_comments_label">
                  <th class="fieldlabel" colspan="2"><mon:label
                     property="comments" separatorVisible="true"
                     key="AssessmentWizard.previewQnrMail.comments.txt" />
                  </th>
               </tr>
               <tr id="previewQnrEmail_comments_field">
                  <td class="field" colspan="2"><%=SmartLabelTag.NOTREQUIRED_PADDING%>
                  <textarea name="comments" rows="6" style="width: 97%"></textarea>
                  </td>
               </tr>
            </table>
         </mon:Content>
      </html:form>
   </mon:Body>
</mon:Page>

