<%@page import="java.util.List"%>
<%@page import="com.sas.oprisk.server.cpb.uiDefType.ControlInstanceUIDefinitionType"%>
<%@page import="com.sas.oprisk.server.cpb.MonitorUIDefinitionType"%>
<%@page import="java.sql.Timestamp"%>
<%@page import="com.sas.solutions.cpb.web.util.HTMLUtil"%>
<%@page import="org.apache.commons.lang.StringUtils"%>
<%@page import="com.sas.oprisk.monitor.web.controlInstance.MitigatedRiskTableComponent"%>
<%@page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext"%>
<%@page import="com.sas.solutions.cpb.screendefs.Field"%>
<%@page import="com.sas.solutions.cpb.web.tag.field.ComponentFieldRenderer"%>
<%@page import="com.sas.oprisk.monitor.web.cpb.util.UIContextUtil"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@page import="java.util.Map"%>
<%@ include file="/tiles/taglibs.jsp" %>
<mon:setBundle />
<mon:include js="/script/checkboxRadioUtil.js" />

<%
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   final UIContext uiContext = UIContextUtil.getUIContext(request);
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);   
   final Field field = componentInfo.getField();
   
   final ControlInstance ci = (ControlInstance)uiContext.getValue(MonitorUIContext.DefaultField.BUSINESS_OBJECT.getName());
   boolean canAddRisks = ci != null && RiskInstance.object.canSomewhere(Do.CREATE, psession) &&
      ci.can(Do.UPDATE, psession);
   boolean canMapRisks = ci != null && RiskInstance.object.canSomewhere(Do.UPDATE, psession) &&
      ci.can(Do.UPDATE, psession);
   
   java.util.Locale locale = request.getLocale();  
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   
   final Map params = field.getParameters(uiContext);
   final String controlTypeFieldNm = (String)params.get(MitigatedRiskTableComponent.PARAM_CONTROL_TYPE_FIELD);
   
   List risks = (List)uiContext.getValue(ControlInstanceUIDefinitionType.VAR_MITIGATED_RISK);
   
   final Timestamp pointInTime = (Timestamp)field.getParameters(uiContext).get(
      MonitorUIDefinitionType.PARAM_POINT_IN_TIME);
   
   // if point-in-time is active, need to re-query the list
   if (pointInTime != null) {
      risks = ci.getMitigatedRisks(pointInTime, psession);
   }
   
   // so it can be read by the DisplayTable
   request.setAttribute("risks", risks);
%>

<script type="text/javascript">

function editRiskInstance(handle) {
    
   var f = document.forms[0];
   f.action = "<%= request.getContextPath() %>/ControlInstance.do"
      + "?method=forward&path=" + escape("/RiskInstance.do?method=select")
      + "&returnMethod=refreshMitigatedRisks"
      + "&ciHandle=" + document.forms[0].handle.value
      + "&riHandle=" + handle
      <c:if test="${model.readOnly}">+ "&readOnly=true"</c:if>
      <c:if test="${not empty uiContext.pointInTime}">+ "&pointInTime=<c:out value="${uiContext.pointInTime}"/>"</c:if>;
          
   f.submit();
}

function selectRiskInstance() {
   openModal(
      "<%= request.getContextPath() %>" 
         + "/MitigatedRiskInstanceChooserQuery.do?constrainByMappings=true"
         + "&ciHandle=" + document.forms[0].handle.value
<% if (StringUtils.isEmpty(controlTypeFieldNm)) { %>
         + "&areaHandle=" + getInstanceArea(),
<% } else { %>
         + "&controlTypeHandle=" + document.forms[0].<%= HTMLUtil.getSafeFieldName(controlTypeFieldNm) %>.value,
<% } %>
      "riskInstancePopup", 
      "width=680,height=480,scrollbars,resizable,status");
}

function removeSelectedMappings() {
   if (!hasAnySelectedCheckboxes(document.forms[0], "selectedMitigatedRisks")) {
      alert("<fmt:message key='DimensionRelations.mustSelectOne.txt'/>");
      return;
   }

   if (confirm("<fmt:message key='DimensionRelations.removeSelected.confirm.txt'/>")) {
      var f = document.forms[0];
      f.action = f.action + "?method=removeMitigatedRisk";
      f.submit();
   }
}

</script>

    <!-- Mitigated Risks -->

    <mon:table width="100%" class="displayTable" cellspacing="0" name="risks" id="mRisks">
      <mon:title><fmt:message key="controlInstance.section.risks.txt"/></mon:title>
      
      <c:if test="${!componentInfo.readOnly}" >
         <% if (canMapRisks) { %>
            <mon:action href='javascript:selectRiskInstance()'><fmt:message key='controlInstance.mitigatedRisks.add.txt'/></mon:action>&nbsp;|&nbsp;
         <% } %>
         <c:if test="${mRisks != null}">
            <mon:action href='javascript:removeSelectedMappings()'><fmt:message key='ControlWizard.step.risks.remove.txt'/></mon:action>
         </c:if>
      </c:if>
<%


      boolean hyperlinkRisks = true; // TODO add more check
      RiskInstance r = null;
      String anchor = null;
      final MonitorContext mc = MonitorContext.getMonitorContext(request);
      if (mRisks != null) {
         r = (RiskInstance) mRisks;
         anchor = "<a href='javascript:editRiskInstance(\"" + r.getHandleString() + "\")'>";
      }
%>
      <c:if test="${!componentInfo.readOnly}" >
         <display:column width='20'>
            <input type="checkbox" name="selectedMitigatedRisks" value="<c:out value='${mRisks.handleString}'/>" />
         </display:column>
      </c:if>
      
      <display:column title='<%= bundle.getString("riskInstance.field.riskId.displayName.txt") %>'>
         <% if (hyperlinkRisks) { out.print(anchor); } %>
         <%= StringUtil.escapeHTML(r.getRiskId()) %>
         <% if (hyperlinkRisks) { out.print("</a>"); } %>
      </display:column>
      
      <display:column title='<%= bundle.getString("riskInstance.field.sourceSystemCd.displayName.txt") %>'>
         <% if (hyperlinkRisks) { out.print(anchor); } %>
         <%= StringUtil.escapeHTML(mc.getSourceSystemDescription(
         r.getSourceSystemCd(), request.getLocale(), psession)) %>
         <% if (hyperlinkRisks) { out.print("</a>"); } %>
      </display:column>

      <display:column title='<%= bundle.getString("riskInstance.field.riskNm.displayName.txt") %>'>
         <% if (hyperlinkRisks) { out.print(anchor); } %>
         <%= StringUtil.escapeHTML(r.getRiskNm()) %>
         <% if (hyperlinkRisks) { out.print("</a>"); } %>
      </display:column>
            
      <display:column title='<%= bundle.getString("riskInstance.field.riskDesc.displayName.txt") %>'>
         <% if (hyperlinkRisks) { out.print(anchor); } %>
         <%= StringUtil.escapeHTML((r.getRiskDesc() == null) ? "" : r.getRiskDesc()) %>
         <% if (hyperlinkRisks) { out.print("</a>"); } %>
      </display:column>
            
      <display:column title='<%= bundle.getString("riskInstance.field.owner.displayName.txt") %>'>
<%
         final User owner = r.getOwner(psession);
         out.print((owner == null) ? "" : StringUtil.escapeHTML(owner.getFriendlyName(locale)));

%>
      </display:column>
    </mon:table>


