<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.qnrTemplate.QuestionnaireTemplateWizardForm" %>

<%@ include file="/tiles/taglibs.jsp" %>


<%
	final QuestionnaireTemplateWizardForm form = (QuestionnaireTemplateWizardForm)
		request.getAttribute("form");
	final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
	final String sourceSystem = MonitorContext.getMonitorContext(request).getSourceSystemDescription(
		form.getSourceSystemCd(), request.getLocale(), psession);
%>

<mon:Page template="wizard">
   <mon:Head>
      
   </mon:Head>
   <mon:Body>      
      <html:form action="/QuestionnaireTemplateWizard">      
         <mon:ToolBar/>
         
         <mon:Content>
            <mon:maintainWizardState/>
     
           <mon:DimAreaChooser 
            property="dimensionalArea"
            readOnly="true" />
           
           <p/>
           
          <table>
              <tr id="questionnaireTemplateWizard_active">   
                 <td><fmt:message key="questionnaireTemplate.field.activeFlg.displayName.txt" />:</td>
                 <td>
                 <c:if test="${form.active}">
                    <fmt:message key="yesno.yes.txt"/> 
                 </c:if>
                 <c:if test="${!form.active}">
                    <fmt:message key="yesno.no.txt"/>
                 </c:if>
                 </td>
              </tr>
              <tr id="questionnaireTemplateWizard_name">   
                 <td><fmt:message key="businessObjectLocalization.field.nameTxt.displayName.txt"/>:</td>
                 <td><c:out value="${form.name}" /></td>
              </tr>
              <tr id="questionnaireTemplateWizard_id">   
                 <td><fmt:message key="questionnaireTemplate.field.templateId.displayName.txt" />:</td>
                 <td><c:out value="${form.id}" /></td>
              </tr>
              <tr id="questionnaireTemplateWizard_description">
                 <td><fmt:message key="businessObjectLocalization.field.descTxt.displayName.txt"/>:</td>
                 <td><c:out value="${form.description}" /></td>
              </tr>
              <tr id="questionnaireTemplateWizard_sourceSystemCd">
                 <td><fmt:message key="questionnaireTemplate.field.sourceSystemCd.displayName.txt" />:</td>
                 <td><%= StringUtil.escapeHTML(sourceSystem) %></td>
              </tr>
           </table>     
      
           <p/>
      
           <c:if test="${canCreateAssessment}">
              <fieldset id="questionnaireTemplateWizard_createAssessment">
              <legend><fmt:message key="QuestionnaireTemplateWizard.summary.sendNow.txt" /></legend>
              <br/>
              <html:radio property="sendNow" value="true"/><fmt:message key="yesno.yes.txt"/>
              <br/>
              <html:radio property="sendNow" value="false"/><fmt:message key="yesno.no.txt"/>
              &nbsp;<fmt:message key="QuestionnaireTemplateWizard.summary.sendNow.hint.txt" />
              </fieldset>
           </c:if>
         </mon:Content>   
      </html:form>      
   </mon:Body>
</mon:Page>
  