<%@ page import="com.sas.oprisk.framework.server.util.*" %>
<%@ include file="/tiles/taglibs.jsp" %>

<mon:Page template="popup">
   <mon:Head>
      <script type="text/javascript">
   
      function selectRatingsTemplate(handle) {
         window.opener.ratingsTemplateSelected(templateInfoMap[handle], window);
         window.close();
      }
      
      function clearSelection() {
         window.opener.ratingsTemplateSelected('', '');
         window.close();
      }
      
      var templateInfoMap = new Array();
      <c:forEach items="${TCQueryParameters.objectList}" var="template">
      <%
         RatingsTemplate rt = (RatingsTemplate)pageContext.findAttribute("template");
      %>
         templateInfoMap["<%= StringUtil.escapeJSForHTML(rt.getHandleString()) %>"] = {
            handle: "<%= StringUtil.escapeJSForHTML(rt.getHandleString()) %>",
            name: '(<%= StringUtil.escapeJSForHTML(rt.getRatingsTemplateId()) %>) <%= StringUtil.escapeJSForHTML(rt.getName()) %>',
            riskRatingsFlg: <%= rt.getRiskRatingsFlg() %>, 
            controlRatingsFlg: <%= rt.getControlRatingsFlg() %>, 
            causeRatingsFlg: <%= rt.getCauseRatingsFlg() %>
         };
      </c:forEach>
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="/RatingsTemplateChooserQuery">               
         
         <mon:Content>
            <mon:tableComponent id="template">
            <mon:title><fmt:message key='RatingsTemplates.title' /></mon:title>
            </mon:tableComponent>                        
         </mon:Content>  
         
         <mon:PopupButtonBar>
            <mon:Button name="close" onclick="window.close()" >
               <fmt:message key='application.cancel.txt' />
            </mon:Button>
         </mon:PopupButtonBar> 
      </html:form>      
   </mon:Body>
</mon:Page>

<html:form action="/RatingsTemplateChooserQuery">





</html:form>