<%@ include file="/tiles/taglibs.jsp" %>


<%@page import="com.sas.oprisk.monitor.web.riskInstance.RiskInstanceCPBForm"%>
<%@page import="com.sas.oprisk.monitor.web.riskInstance.RiskInstanceCPBModel"%>
<%@page import="com.sas.oprisk.framework.server.util.ParsingUtils"%><mon:setBundle />



<%
   java.util.Locale locale = request.getLocale();  
   com.sas.oprisk.monitor.web.MonitorContext mc = MonitorContext.getMonitorContext(request);
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   final RiskInstanceCPBModel model = (RiskInstanceCPBModel)request.getAttribute("model");
   final boolean readOnly = model == null ? true : model.isReadOnly();
   final String selectMode = readOnly ? "view" : "edit";
   final RiskInstanceCPBForm form = (RiskInstanceCPBForm) request.getAttribute("riskInstanceCPBForm");
   
   
   request.setAttribute("nfis", model == null ? null : model.getRiskInstance().getNonFinancialImpacts(psession));
   request.setAttribute("theForm", form);
   request.setAttribute("nfiForwardMethod", "forward");
%>



<script type="text/javascript">

/*add nfi */
function addNfi() {
   var path= 
         "/IndirectEffect.do"
         + "?method=add"
         + "&riHandle=" + document.forms[0].riHandle.value
         + "&primaryBusinessObjectHandle=" + document.forms[0].riHandle.value;
   path = escape(path);
   doRiskInstance("forward&path=" + path);
}
   

/*edit nfi */
function selectNfi(nfiHandle) {
   var path = "/IndirectEffect.do" 
      + "?method=edit"
      + "&primaryBusinessObjectHandle=" + document.forms[0].riHandle.value
      + "&nonFinancialImpactHandle=" + nfiHandle;
   
   
   path = escape(path);
   doRiskInstance("forward&path=" + path);
}

/*delete nfi */
function deleteNfi(nfiHandle, name) {
   var msg = unescape("<%= ParsingUtils.escape(bundle.getString(
      "indirectEffect.okToDelete.fmt")) %>");
   if (confirm(formatMessage(msg, unescape(name)))) {
      doRiskInstance("deleteNonFinancialImpact&nonFinancialImpactHandle=" + nfiHandle);
   }
}



/* perform some Nonfinancial Impact action */
function doNfi(path, anchor) {
<%
   String jsMethod = (String)request.getAttribute("nfiForwardMethod");
   if (jsMethod != null) {
%>
   <%= jsMethod %>(path, anchor ? "relatedNfis" : "");
<% } else { %>
   var url = "<%= request.getContextPath() %>" + path;
   if (anchor) {
      url += "#relatedNfis";
   }
   window.location = url;
<% } %>
}

</script>

     
<a name="relatedNfis" ></a>

<mon:table width="100%" name="requestScope.nfis" class="displayTable" id="nonfis" cellspacing="0">
   <mon:title><fmt:message key="RiskTypeWizard.step.potentialNfi.txt" /></mon:title>
   <c:if test="${!model.readOnly}">
      <mon:action href="javascript:addNfi()">
         <fmt:message key='nonFinancialImpact.addPotential.action.txt'/>
      </mon:action>
   </c:if>
   
<%
    com.sas.oprisk.server.NonFinancialImpact nfi = ((com.sas.oprisk.server.NonFinancialImpact)nonfis);
       
   String nfiType = "";
   String nfiName = "";
   if (nfi != null && nfi.getNfiType(psession) != null) { 
      nfiType = nfi.getNfiType(psession).toString(request.getLocale(),psession);
      nfiName = ParsingUtils.escape(ParsingUtils.escape(nfi.getImpactShortDesc()));
   }
%>
   <display:column title='<%= bundle.getString("nonFinancialImpact.field.impactShortDesc.displayName.txt") %>' >
       <a href="javascript:selectNfi('<%= nfi.getHandleString() %>')">
          <%= StringUtil.escapeHTML(nfi.getImpactShortDesc()) %>
       </a>
    </display:column>
   <display:column title='<%= bundle.getString("nonFinancialImpact.field.nfiType.displayName.txt") %>' >
       <a href="javascript:selectNfi('<%= nfi.getHandleString() %>')">
          <%= StringUtil.escapeHTML(nfiType) %>
       </a>
   </display:column>
   <display:column title='<%= bundle.getString("nonFinancialImpact.field.impactSeverityCd.displayName.txt") %>' >
       <a href="javascript:selectNfi('<%= nfi.getHandleString() %>')">
          <%= StringUtil.escapeHTML(mc.getImpactSeverityDescription(nfi.getImpactSeverityCd(), request.getLocale(), psession)) %>
       </a>
   </display:column>

<c:if test="${!componentInfo.readOnly}">
   <display:column width='1%' headerClass="nwc" title='<%= bundle.getString("application.delete.txt") %>' align='center'>
      <a href="javascript:deleteNfi('<%= nfi.getHandleString() %>', '<%= nfiName %>')">
         <img border="0" src="<fmt:message key='application.delete.image' />"  
            alt="<fmt:message key='application.delete.txt'/>" 
            title="<fmt:message key='application.delete.txt'/>"
         />
      </a>
   </display:column>
</c:if>
</mon:table>
  

  