<%@page import="com.sas.oprisk.monitor.web.cpb.runtime.component.assessment.SelectedRecommendationTableComponent"%>
<%@page import="com.sas.oprisk.framework.server.util.*" %>
<%@page import="com.sas.oprisk.server.ApplicationProperties"%>
<%@page import="java.util.ResourceBundle"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@page import="com.sas.solutions.cpb.web.util.RequestUtil"%>
<%@page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext.DefaultField"%>
<%@page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.HashMap"%>
<%@page import="com.sas.oprisk.monitor.web.table.RiskRatingCellFormatter"%>
<%@page import="com.sas.oprisk.monitor.web.table.RiskRecommendationEstCostCellFormatter"%>
<%@page import="com.sas.solutions.cpb.web.tag.field.ComponentFieldRenderer"%>
<%@page import="com.sas.oprisk.monitor.web.csa.riskInstance.RiskInstanceTableRecommendationEntry"%>

<%@ include file="/tiles/taglibs.jsp" %>



<%@page import="com.sas.solutions.cpb.web.util.HTMLUtil"%>
<%@page import="com.sas.oprisk.monitor.web.cpb.runtime.component.CustomTableComponent"%>
<%@page import="com.sas.oprisk.server.cpb.uiDefType.RiskInstanceUIDefinitionType"%>
<%@page import="com.sas.oprisk.monitor.web.riskInstance.RiskInstanceCPBModel"%>
<%@page import="com.sas.oprisk.monitor.web.csa.assessment.ratingsSummary.RatingsSummaryModel"%>
<%@page import="java.sql.Timestamp"%><mon:setBundle />
<%
   final RiskInstanceCPBModel model = (RiskInstanceCPBModel)request.getAttribute("model");

   final UIContext uiContext = RequestUtil.getUIContext(request);
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);
   final CustomTableComponent ctc = (CustomTableComponent)componentInfo.getComponent();
   final String fieldName = componentInfo.getField().getName();
   final String safeFieldName = HTMLUtil.getSafeFieldName(fieldName);
   
   Boolean allowMultiple = false;
   Boolean allowSelectingAssessorRecommendations= true;
   
   if (ctc instanceof SelectedRecommendationTableComponent){
      allowMultiple = ((SelectedRecommendationTableComponent)ctc).getAllowMultipleRecommendations();
      allowSelectingAssessorRecommendations =  ((SelectedRecommendationTableComponent)ctc).getAllowSelectionFromAssessorRecommendations();
   }
   
   pageContext.setAttribute("allowMultiple",allowMultiple);
   pageContext.setAttribute("allowSelectingAssessorRecommendations",allowSelectingAssessorRecommendations);
      
   final ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
   
   final MonitorContext mc = MonitorContext.getMonitorContext(request);
   final Map formatters = new HashMap();
   formatters.put("rating", new RiskRatingCellFormatter(mc));
   formatters.put("estCost", new RiskRecommendationEstCostCellFormatter(mc));
   
   final boolean recsReadOnly = componentInfo.isReadOnly() || Boolean.TRUE.equals(uiContext.getValue("neverBeenSaved"));
   final String exportRecommendationsUrl = "";  // TODO: fix me!
   
   final String addHref = "javascript:addRecommendation_" + safeFieldName + "()";
   final String selectHref = "javascript:selectAssessorRecommendation_" + safeFieldName + "()";
   final String removeColLabel = bundle.getString("application.button.delete.txt");
%>

<c:if test="${uiContext.neverBeenSaved}">   
   <span class="infoMessage"><img align="absmiddle" src="<%= request.getContextPath() %>/images/MessageInform_16.gif">
   <fmt:message key="RiskInstance.mustBeSavedForRatings.txt"/>
   </span>
   <br /><br />
</c:if>
 
<mon:tableComponent entryName="<%= ctc.getTableEntryId() %>" id="recommendation" wizCursor="refresh" 
                    exportXlsUrl="<%= exportRecommendationsUrl %>" columnFormatters="<%= formatters %>" >
   <mon:title><fmt:message key="RiskInstanceWizard.step.recommendations.txt"/></mon:title>
   <% if (!recsReadOnly) { %>
      <c:if test="${rsumModel.editingAsblsAllowed and 
                    (componentInfo.component.name == 'SelectedRecommendationTableComponent') and
                    (numRecommendations == 0 or allowMultiple) and allowSelectingAssessorRecommendations }" >
         <mon:action href='<%= selectHref %>'><fmt:message key='riskInstance.addAssessorRecommendation.txt'/></mon:action>&nbsp;|&nbsp;
      </c:if>
      <c:if test="${rsumModel.editingAsblsAllowed and
                    ((componentInfo.component.name != 'SelectedRecommendationTableComponent') or
                     (numRecommendations == 0) or  allowMultiple )}" >
         <mon:action href="<%= addHref %>"><fmt:message key='riskInstance.recommendations.create.txt'/></mon:action>&nbsp;|&nbsp;
      </c:if>
   <% } %>
      
<%       
      final RiskInstanceTableRecommendationEntry entry = (RiskInstanceTableRecommendationEntry) pageContext.findAttribute("recommendation");
      RiskRecommendation rec = null;
      String escRecText = null;
      if (entry != null){
         rec = entry.getRecommendation();
         
         // double escape because it is going in an href
         escRecText = ParsingUtils.escape(ParsingUtils.escape(rec.getRecommendationTxt()));
      }  
%>        
      
      <c:if test="${componentInfo.component.name == 'SelectedRecommendationTable'}" >
        <mon:fixedColumn title='<%= bundle.getString("RiskInstanceWizard.riskRecommendations.recommendationSource.label.txt") %>'>         
<% 
          // assume any recs created/edited before signoff are assessor recommendations
          if (entry.isFromAssessor()) {
             out.print(bundle.getString("RiskInstanceWizard.riskRecommendations.recommendationSource.assessor.txt"));           
          } else {
             out.print(bundle.getString("RiskInstanceWizard.riskRecommendations.recommendationSource.businessOwner.txt"));           
          }
%>              
        </mon:fixedColumn>
      </c:if>
      
      <c:if test="${not componentInfo.readOnly}" >
         <mon:fixedColumn width='1%' title='<%= removeColLabel %>' before="false" >
                <a href="javascript:deleteRecommendation_<%= safeFieldName %>('<%= rec.getHandle() %>', '<%= escRecText %>')">
                     <img border="0" src="<fmt:message key='application.remove.image' />"  
                        alt="<fmt:message key='application.button.delete.txt'/>" 
                        title="<fmt:message key='application.button.delete.txt'/>"
                     />
                  </a>
         </mon:fixedColumn>
      </c:if>
  </mon:tableComponent>
