<%@ page import="java.util.*"%>
<%@ page import="java.io.*"%>
<%@ page import="com.sas.oprisk.server.*"%>
<%@ page import="com.sas.oprisk.server.cpb.MonitorUIDefinitionType"%>
<%@ page import="com.sas.oprisk.monitor.web.cpb.util.UIContextUtil"%>
<%@ page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext"%>
<%@ page import="com.sas.oprisk.monitor.web.cpb.runtime.*"%>
<%@ page import="com.sas.oprisk.monitor.web.audit.AuditAction"%>
<%@ page import="com.sas.solutions.cpb.web.util.RequestUtil"%>
<%@ include file="/tiles/taglibs.jsp"%><mon:setBundle />
<%@ page
   import="com.sas.oprisk.monitor.web.tags.smarttags.SmartLabelTag"%>


<%
   final Locale locale = request.getLocale();
			final ResourceBundle bundle = ApplicationProperties
					.getBundle(locale);
			final PersistenceSession psession = MonitorContext
					.getPersistenceSession(request);
			final boolean readOnly = !Boolean.TRUE.equals(request
					.getAttribute("canSave"));

			final String isPopup = RequestUtil.getParameterOrAttribute(
					"isPopup", request);
			final String isReadOnly = RequestUtil.getParameterOrAttribute(
					"isReadOnly", request);
			final String context = request.getContextPath();
			final String auditHandle = request
					.getParameter(AuditAction.AUDIT_INSTANCE_HANDLE);
			Boolean auditMode = Boolean.valueOf(auditHandle != null
					&& !auditHandle.trim().equals(""));
%>

<c:set var="template">
   <%="true".equals(request.getParameter("isPopup"))
						? "popup"
						: "details"%>
</c:set>

<mon:Page template="${template}">
   <mon:Head>
      <script type="text/javascript">
   
   function doTestPlan(method, anchor) {
      var f = document.forms[0];
      f.action = "<%=context%>/TestPlanEdit.do"
         + "?method=" + method;      
      if (anchor) {
         f.action = f.action + "#" + anchor;
      }
      <%if (auditHandle != null && !auditHandle.trim().equals("")) {%>
      f.action = f.action + "&<%=AuditAction.AUDIT_INSTANCE_HANDLE%>=<%= StringUtil.encodeURLValue(auditHandle) %>";
      <%}%>
      f.submit();
   }
   
 
   function forward(path, handle)
   {
      var f = document.forms[0];
      f.action = "<%=context%>/TestPlanEdit.do" + "?method=forward" + "&path="
            + escape(path);
      if (handle)
      {
         f.action = f.action + "&handleAttr=" + handle;
       }
       f.submit();
   }
   
   addLoadEvent(setFocus);
   
   </script>
   </mon:Head>

   <mon:Body>
      <html:form action="/TestPlanEdit">
         <html:hidden property="testHandle" />
         <%
            if (isPopup != null && isPopup.length() > 0) {
         %>
         <input type="hidden" name='isPopup' value='<%= StringUtil.escapeHTML(isPopup) %>' />
         <%
            }
         %>

         <%
            if (isReadOnly != null && isReadOnly.length() > 0) {
         %>
         <input type="hidden" name='isReadOnly' value='<%= StringUtil.escapeHTML(isReadOnly) %>' />
         <%
            }
         %>

         <c:if test="${template != 'popup'}">
            <mon:ToolBar>
               <c:if test="${canSave}">
                  <mon:Button name="actionButtonSave"
                     onclick="doTestPlan('save')">
                     <fmt:message key='application.button.saveDraft.txt'/>
                  </mon:Button>
               </c:if>
               <c:if test="${canPublish && !auditTest}">
                  <mon:Button name="actionButtonPublish"
                     onclick="doTestPlan('publish')">
                     <fmt:message key='application.button.publish.txt' />
                  </mon:Button>
               </c:if>
               <c:if test="${canAccept}">
                  <mon:Button name="actionButtonAccept"
                     onclick="doTestPlan('accept')">
                     <fmt:message key='application.button.accept.txt' />
                  </mon:Button>
               </c:if>
               <c:if test="${canRecall}">
                  <mon:Button name="actionButtonAccept"
                     onclick="doTestPlan('recall')">
                     <fmt:message key='application.button.recall.txt' />
                  </mon:Button>
               </c:if>
               <c:if test="${canSave}">
                  <mon:Button name="actionButtonCancel"
                     onclick="doTestPlan('cancel')">
                     <fmt:message key='application.button.cancel.txt' />
                  </mon:Button>
               </c:if>
               <c:if test="${!canSave}">
                  <mon:Button name="actionButtonCancel"
                     onclick="doTestPlan('cancel')">
                     <fmt:message key='application.button.done.txt' />
                  </mon:Button>
               </c:if>
            </mon:ToolBar>
         </c:if>

         <mon:Content>
            <br />
            <%-- render the screen --%>
            <cpb:screen screenID="testPlan" readOnly="<%= readOnly %>" />
            <br />
         </mon:Content>

         <c:if test="${template == 'popup' }">
            <mon:PopupButtonBar>
               <mon:Button name="actionButtonCancel"
                  onclick="javascript:window.close();">
                  <fmt:message key='application.button.done.txt' />
               </mon:Button>
            </mon:PopupButtonBar>
         </c:if>

      </html:form>
   </mon:Body>
</mon:Page>