<%@ page import="java.util.*"%>
<%@ page import="java.io.*"%>
<%@ page import="com.sas.oprisk.server.*"%>
<%@ page import="com.sas.oprisk.server.cpb.MonitorUIDefinitionType"%>
<%@ page import="com.sas.oprisk.monitor.web.cpb.util.UIContextUtil"%>
<%@ page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext"%>
<%@ page import="com.sas.oprisk.monitor.web.cpb.runtime.*"%>
<%@ page import="com.sas.solutions.cpb.web.util.RequestUtil"%>

<%@ include file="/tiles/taglibs.jsp"%>
<%@ page
   import="com.sas.oprisk.monitor.web.tags.smarttags.SmartLabelTag"%>
<%@ page import="com.sas.oprisk.monitor.web.utils.RequestUtilities"%>
<%@ page import="com.sas.oprisk.monitor.web.MonitorWebException"%>
<%@ page import="com.sas.oprisk.monitor.web.controlTesting.tests.*"%>

<%@page import="com.sas.oprisk.server.workflow.WorkflowUtil"%><mon:setBundle />

<%
   final Locale locale = request.getLocale();
			final ResourceBundle bundle = ApplicationProperties
					.getBundle(locale);
			final PersistenceSession psession = MonitorContext
					.getPersistenceSession(request);

			final String context = request.getContextPath();

			final String isPopup = RequestUtil.getParameterOrAttribute(
					"isPopup", request);
			final String readOnlyString = RequestUtil.getParameterOrAttribute(
					"isReadOnly", request);
			final boolean readOnly = "true".equalsIgnoreCase(readOnlyString);

			TestInstanceModel model = (TestInstanceModel) request
					.getAttribute(TestInstanceModel.ATTR_MODEL);
			String activityId = model.getActivityId();
%>

<c:set var="template">
   <%="true".equals(request.getParameter("isPopup"))
						? "popup"
						: "details"%>
</c:set>

<mon:Page template="${template}">

   <mon:Head>
      <script type="text/javascript">

function doTestResultSave(method, anchor) {
	doTestResult(method, "<%=WorkflowUtil.STATUS_SAVE_APPLY%>", anchor);
}
function doTestResultCancel(method, anchor) {
	   doTestResult(method, "<%=WorkflowUtil.STATUS_CANCEL%>", anchor);
	}
function doTestResult(method, workflowStatus, anchor) {
   var f = document.forms[0];
   f.action = "<%=context%>/TestResultEdit.do"
      + "?method=" + method ;
   if (workflowStatus) {
      f.action = f.action + "&<%=WorkflowWebUtil.PARAM_WORKFLOW_STATUS_ID%>=" + workflowStatus;
   }
   if (anchor) {
      f.action = f.action + "#" + anchor;
   }
      
   f.submit();
}
function doWorkflowStatus(actionId, workflowActivityId, workflowStatusId, msg) {
      var doIt = true;  

      if (msg != "") {
         if (!confirm(msg)) {
            unLockCommandButtons();
            doIt = false;
         }
      }

      if (doIt) {
         // show the "Please Wait" dialog (if configured)
         beginWait();
         
         var f = document.forms[0]; 
         f.action = "<%=request.getContextPath()%>/TestResultEdit.do?method=handleWorkflow&action=" + actionId
                   + "&<%=WorkflowWebUtil.PARAM_WORKFLOW_ACTIVITY_ID%>=" + workflowActivityId
                   + "&<%=WorkflowWebUtil.PARAM_WORKFLOW_STATUS_ID%>=" + workflowStatusId;
         f.submit();
      }
   }
function forward(path, handle)
   {
      var f = document.forms[0];
      f.action = "<%=context%>/TestResultEdit.do" + "?method=forward"
            + "&path=" + escape(path);
      if (handle)
      {
         f.action = f.
action + "&handleAttr=" + handle;
    }
    f.submit();
}
addLoadEvent(setFocus);

</script>
   </mon:Head>
   <mon:Body>

      <html:form action="/TestResultEdit">
         <html:hidden property="testPlanHandle" />
         <%
            if (isPopup != null && isPopup.length() > 0) {
         %>
         <input type="hidden" name='isPopup' value='<%= StringUtil.escapeHTML(isPopup) %>' />
         <%
            }
         %>

         <%
            if (readOnly) {
         %>
         <input type="hidden" name='isReadOnly'
            value='<%=Boolean.toString(readOnly)%>' />
         <%
            }
         %>


         <c:if test="${template != 'popup'}">
            <mon:ToolBar>
               <c:if test="${canSave}">
                  <mon:Button name="actionButtonSave"
                     onclick="doTestResultSave('save')">
                     <fmt:message key='application.button.save.txt' />
                  </mon:Button>
                  <mon:Button name="actionButtonApply"
                     onclick="doTestResultSave('apply')">
                     <fmt:message key='application.button.apply.txt' />
                  </mon:Button>
               </c:if>

               <c:forEach var="action" items="${workflowStatuses}"
                  varStatus="status">
                  <mon:Button name="actionButton${status.count}"
                     onclick="lockCommandButtons();doWorkflowStatus('${action.actionId}', '${action.activityId}', '${action.statusId}', '${action.confirmation}')">
         ${action.name}
         </mon:Button>
               </c:forEach>
               <c:if test="${canRecall}">
                  <input type="button" class="button"
                     name="actionButtonRecall"
                     onmouseover="this.className='button buttonRollover'"
                     onmouseout="this.className='button'"
                     value="<fmt:message key='application.button.recall.txt'/>"
                     onclick="doTestResult('recall')" />
               </c:if>
               <c:if test="${canSave}">
                  <mon:Button name="actionButtonCancel"
                     onclick="doTestResultCancel('cancel')">
                     <fmt:message key='application.button.cancel.txt' />
                  </mon:Button>
               </c:if>
               <c:if test="${!canSave}">
                  <mon:Button name="actionButtonCancel"
                     onclick="doTestResultCancel('cancel')">
                     <fmt:message key='application.button.done.txt' />
                  </mon:Button>
               </c:if>
            </mon:ToolBar>
         </c:if>
         <%-- render the screen --%>
         <mon:Content>
            <br />
            <cpb:screen screenID="${testResultFormEx.screenId}"
               readOnly="<%= readOnly %>" />
            <br />
         </mon:Content>

         <c:if test="${template == 'popup' }">
            <mon:PopupButtonBar>
               <mon:Button name="actionButtonCancel"
                  onclick="javascript:window.close();">
                  <fmt:message key='application.button.done.txt' />
               </mon:Button>
            </mon:PopupButtonBar>
         </c:if>
      </html:form>
   </mon:Body>
</mon:Page>

