<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.monitor.web.dimension.split.*" %>

<%    
   Locale locale = request.getLocale();
   ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   String context = request.getContextPath();

   SplitWizardPageModel mode = (SplitWizardPageModel) request.getAttribute( "model" );
%>

<mon:Page template="popup">
   <mon:Head>
      
   </mon:Head>
   <mon:Body>      
      <form>              
         <mon:Content>
            
            <table class='section' style="margin: 10px 0px;" cellSpacing='1' cellPadding='0' width='100%' border='0'>
              <tbody>
              <tr><td>
              <div class='sectionheader'>
                <div class='sectionheadertext'><c:out value="${model.dimensionName}" /></div>
              </div>
              </td></tr>
            
              <tr><td class="whitecell">
              <table>
                <tr>
                  <td><fmt:message key="SplitWizard.SummaryReport.newNode.txt" /></td>
                  <td><c:out value="${model.destinationPath}" /></td>
                </tr>
                <tr>
                  <td><fmt:message key="SplitWizard.SummaryReport.fromNode.txt" /></td>
                  <td><c:out value="${model.path}" /></td>
                </tr>
              </table>
              </td></tr>
              <tbody>
            </table>
            
            <%@ include file="childrenSummaryReport.jspf" %>
            
            <%@ include file="mappingsSummaryReport.jspf" %>
            
            <%@ include file="questionGroupsSummaryReport.jspf" %>
            
            <%@ include file="positionsSummaryReport.jspf" %>
            
            <%@ include file="incidentsSummaryReport.jspf" %>
            
            <%@ include file="eventsSummaryReport.jspf" %>
            
            <%@ include file="lossesSummaryReport.jspf" %>
            
            <%@ include file="financialEffectsSummaryReport.jspf" %>
            
            <%@ include file="recoveriesSummaryReport.jspf" %>
            
            <%@ include file="issuesSummaryReport.jspf" %>
            
            <%@ include file="actionPlansSummaryReport.jspf" %>
            
            <%@ include file="triggersSummaryReport.jspf" %>
            
            <%@ include file="supportiveQuestionnairesSummaryReport.jspf" %>
            
            <%@ include file="assessmentsSummaryReport.jspf" %>
            
            <%@ include file="riskInstancesSummaryReport.jspf" %>
            
            <%@ include file="causeInstancesSummaryReport.jspf" %>
            
            <%@ include file="controlInstancesSummaryReport.jspf" %>

            <p class="reportfootnote">
            <fmt:message key="SplitWizard.SummaryReport.timestamp.message.fmt.txt">
               <fmt:param><c:out value="${model.userFriendlyName}" /></fmt:param>
               <fmt:param value="${model.timestamp}" />
            </fmt:message>
            </p>
         </mon:Content>   
         <mon:PopupButtonBar>
            <mon:Button name="printButton" onclick="window.print()">
               <fmt:message key='printButton.txt' />
            </mon:Button>
            
            <mon:Button name="cancelButton" onclick="window.close()">
               <fmt:message key='cancelButton.txt' />
            </mon:Button>
         </mon:PopupButtonBar>
      </form>      
   </mon:Body>
</mon:Page>
