<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="com.sas.solutions.cpb.runtime.*" %>
<%@ page import="com.sas.solutions.cpb.screendefs.*" %>
<%@ page import="com.sas.solutions.cpb.screendefs.xml.validator.*" %>
<%@ page import="com.sas.oprisk.monitor.web.cpb.runtime.*" %>
<%@ page import="com.sas.oprisk.server.iap.Commentable" %>
<%@ page import="com.sas.oprisk.server.AttachmentContainer" %>
<%@ page import="org.apache.struts.action.ActionMapping"%>
<%@ page import="com.sas.oprisk.monitor.web.financialimpact.actions.FinancialImpactFormPageModel" %>
<%@ page import="com.sas.oprisk.monitor.web.incident.forms.IncidentRecoveryForm" %>
<%@ page import="com.sas.oprisk.server.cpb.uiDefType.InsuranceRecoveryUIDefinitionType" %>
<%@ page import="com.sas.solutions.cpb.util.FieldUtil"%>

<%
   java.util.Locale locale = request.getLocale();
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   FinancialImpactFormPageModel model = (FinancialImpactFormPageModel)request.getAttribute("model");
   FinancialImpact fi = model.getFinancialImpact();
   String handle = fi != null ? fi.getHandleString() : null;
   Boolean readOnly = (Boolean)request.getAttribute("readOnly");
   if (readOnly == null) readOnly = new Boolean(false);
   ActionMapping mapping = (ActionMapping)request.getAttribute(org.apache.struts.Globals.MAPPING_KEY);
   String baseLossAmt = bundle.getString("financialImpactForm.section.recoveryAmount.txt") + " (" + model.getBaseCurrencyCd() + ")";
   Boolean isInsurance = Boolean.FALSE;
   if (model.getTheForm() instanceof IncidentRecoveryForm)
      isInsurance = ((IncidentRecoveryForm) model.getTheForm()).getIsInsurance();
   final String template = request.getAttribute("template") != null
      ? (String) request.getAttribute("template")
      : "details";
%> 

<mon:Page template="<%= template %>">
<%-- BEGIN PAGE --%>

   <mon:Head>
   <%-- BEGIN HEAD --%>
   <mon:include js="/script/checkboxRadioUtil.js" />

<script type="text/javascript">

function doInsuranceRecovery(method, anchor) {
   var f = document.forms[0];
   f.action = "<%=request.getContextPath()%>/InsuranceRecovery.do"
      + "?method=" + method;
      
   if (anchor) {
      f.action = f.action + "#" + anchor;
   }
      
   f.submit();
}

function forward(path, refreshMethod, anchor) {
   var method = "forward" + "&path=" + escape(path);
   if (refreshMethod) {
      method += "&rm=" + refreshMethod;
   }
   doInsuranceRecovery(method, anchor);
}

function submitToAction(action) {
  var f = document.forms[0];
  f.action = action;
  f.submit();
}

function go(action,extraParams) {
  var url = "<%=request.getContextPath()%>/InsuranceRecovery.do?method=" + action;
  if (extraParams != null) url = url + "&" + extraParams;
  submitToAction( url );
}

function forward(path, anchor) {
  path = escape(path);
  if (anchor && (anchor != "")) {
    path += "#" + anchor;
  }
  go('forward', 'path=' + path );
}

function getForm()
{
   return document.forms["<%=model.getFormName()%>"];
}

function forward2(path) {
   path = escape(path);
   go('forward', 'rm=refresh2&unlockRecovery=true&path=' + path );
}

<%-- Submit form to specified action --%>
function submitToAction2( actionPath ) {
	var form = getForm();
	form.action = 
      "<%=request.getContextPath()+'/'%>"
        + actionPath;
        form.submit();
}

function popupRecoveryDetailAction( method, recoveryHandle ) {
	var form = getForm();
   popupAnchor = "#recoveries";
   openModal(
      "<%=request.getContextPath()+'/'%>" 
      + "RecoveryAmount.do?method=" + method
      + "&handle=" + form.handle.value
      + "&locationHandle=" + form.elements["<%=FieldUtil.formatFieldName(InsuranceRecoveryUIDefinitionType.FIELD_POINT_LOCATION)%>"].value
      + "&type=InsuranceRecoveryAmt" 
      + "&recoveryHandle=" + recoveryHandle 
      + "&readOnly=" + "<%= readOnly %>", 
      "popupRecovery", "width=1100,height=780,scrollbars,resizable");
}

function editRecoveryAmount( handle ) {
   popupRecoveryDetailAction('edit', handle);
}

function addRecoveryAmount() {
   popupRecoveryDetailAction('add', '');
}

function deleteRecoveryAmount( handle ) {
   popupRecoveryDetailAction('delete', handle);
}

function editLinkedIncident( handle ) {
   var path = "/NewIncident.do?method=acceptIncident&handle=" + handle;
   forward2(path);
}

function removeLinkedIncident( handle ) {
   doInsuranceRecovery('removeLinkedIncident');
}

function linkToIncident() {
   var form = getForm();
   openModal("<%= request.getContextPath() %>/LinkToIncidentQuery.do?"
      + "financialImpactHandle=" + form.handle.value + "&recovery=insurance&commit=false",
      "link_popup", "width=1100,height=500,scrollbars,resizable");
}

function doLink(url) {
   submitToAction( url );
}

<%-- Page refresh method to be called by popups --%>
function popupCloser_refresh() {
	var form = getForm();
	form.action = 
          "<%= request.getContextPath()+"/" %>" + "InsuranceRecovery.do?method=refresh"
          + popupAnchor;
   form.submit();
}

addLoadEvent(setFocus);

</script>

   <%-- END HEAD --%>
   </mon:Head>
   
   <mon:Body>
   <%-- BEGIN BODY --%>
      
      <mon:form action="<%= model.getActionPath() %>" >

      <mon:ToolBar>
      <%-- BEGIN TOOL BAR --%>
      <c:if test="${doneAsClose}" >
         <mon:Button name="actionButton" onclick="javascript:window.close()">
            <fmt:message key='application.button.done.txt' />
         </mon:Button>
      </c:if>

   <c:if test="${!doneAsClose}" > 
      <c:if test="${ok}" >
         <mon:Button onclick="submitToAction2('InsuranceRecoverySave.do?method=save')">
            <fmt:message key='okButton.txt' />
         </mon:Button>
      </c:if>
   
      <c:if test="${canSend}">
         <mon:Button onclick="submitToAction2('InsuranceRecoverySave.do?method=sendForApproval')">
            <fmt:message key='application.button.send.txt' />
         </mon:Button>
      </c:if>
   
   
      <c:if test="${canValidate}">
         <mon:Button name="actionButton" onclick="submitToAction2('InsuranceRecoverySave.do?method=accept')">
            <fmt:message key='application.button.validate.txt' />
         </mon:Button>
      </c:if>
   
      <c:if test="${canReturn}">
         <mon:Button name="actionButton" onclick="submitToAction2('InsuranceRecoverySave.do?method=reject')">
            <fmt:message key='application.button.return.txt' />
         </mon:Button>
      </c:if>
   
      <%-- ok and cancel buttons --%>
      <c:if test="${!cancel}" >
         <mon:Button name="actionButton" onclick="submitToAction2('InsuranceRecovery.do?method=cancel')">
            <fmt:message key='application.button.done.txt' />
         </mon:Button>
      </c:if>
   
      <c:if test="${cancel}" >
         <mon:Button name="actionButton" onclick="submitToAction2('InsuranceRecovery.do?method=cancel')">
            <fmt:message key='cancelButton.txt' />
         </mon:Button>
      </c:if>
   
   </c:if>

      <%-- END TOOL BAR --%>
      </mon:ToolBar>

      <mon:Content>
      <%-- BEGIN CONTENT --%>

      <html:hidden property="financialImpactRk" />
      <html:hidden property="isAllocationFlg" />
      <html:hidden property="handle" />
      <html:hidden property="selectedTab" />
<!--      <html:hidden property="linkedEvent" />-->
      <html:hidden property="draftFlg" />
      <html:hidden property="combinedConfidentialityCd" />
      <html:hidden property="validationStateCd" />
      <html:hidden property="comingFromEvent" />
      <input type="hidden" name="make_not_draft" value="false" />
      <html:hidden property="cachedParentEvent" />
      <html:hidden property="guessedEventShortDesc" />      
      <html:hidden property="sharedLossFlg"/>
      <html:hidden property="threshold"/>
      <html:hidden property="isFresh" />
      <html:hidden property="isInsurance" />
      <html:hidden property="effectNatureCd" />
      <% if(null != request.getParameter("opRiskEventHandle")) { %>      
         <input type="hidden" name="opRiskEventHandle" 
            value="<%= StringUtil.escapeHTML(request.getParameter("opRiskEventHandle")) %>" />
      <% } %>

      <%-- render the screen --%>
      <cpb:screen screenID="insuranceRecovery" readOnly="<%= readOnly.booleanValue() %>" />

      <%-- END CONTENT --%>
      </mon:Content>

      </mon:form>

   <%-- END BODY --%>
   </mon:Body>
   
<%-- END PAGE --%>
</mon:Page>
      