<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.sas.com/oprisk/monitor/tags" prefix="mon" %>
<%@ include file="/tiles/taglibs.jsp" %>

<mon:Page template="popup">
   <mon:Head>
      <script type="text/javascript">
               
            function selectIncident(handle) {
               var url = "<%= request.getContextPath() %>/FinancialEffect.do?method=linkToIncident"
                  + "&financialImpactHandle=<c:out value='${financialImpactHandle}' />"
                  + "&commit=<c:out value='${commit}' />"
                  + "&handle=" + encodeURIComponent(handle);
               
               window.opener.doLink(url);
               window.close();
            }
            
            function selectIncidentForInsuranceRecovery(handle) {
               var url = "<%= request.getContextPath() %>/InsuranceRecovery.do?method=linkToIncident"
                  + "&financialImpactHandle=<c:out value='${financialImpactHandle}' />"
                  + "&commit=<c:out value='${commit}' />"
                  + "&handle=" + encodeURIComponent(handle);
               
               window.opener.doLink(url);
               window.close();
            }
            
            function selectIncidentForDirectRecovery(handle) {
               var url = "<%= request.getContextPath() %>/DirectRecovery.do?method=linkToIncident"
                  + "&financialImpactHandle=<c:out value='${financialImpactHandle}' />"
                  + "&commit=<c:out value='${commit}' />"
                  + "&handle=" + encodeURIComponent(handle);
               
               window.opener.doLink(url);
               window.close();
            }
         </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="/LinkToIncidentQuery">              
         <mon:Content>
             <input type="hidden" name="financialImpactHandle" value="<%= StringUtil.escapeHTML(request.getParameter("financialImpactHandle")) %>" />
             <input type="hidden" name="recovery" value="<%= request.getParameter("recovery") == null ? "" : StringUtil.escapeHTML(request.getParameter("recovery")) %>" />
             <input type="hidden" name="commit" value="<%= StringUtil.escapeHTML(request.getParameter("commit")) %>" />
            
             <mon:tableComponent />
         </mon:Content>            
         <mon:PopupButtonBar>
            <mon:Button name="doneButton" onclick="window.close()">
               <fmt:message key='application.button.done.txt' />
            </mon:Button>
         </mon:PopupButtonBar>
      </html:form>      
   </mon:Body>
</mon:Page>