<%@ include file="/tiles/taglibs.jsp" %>

<mon:Page template="popup">
   <mon:Head>
      <script type="text/javascript">
         parent.allowParentToClose = function() {
            // Since this was called from an onClose() event, start a timer that will
            // re-sync the currentDialog variable when the new window is loaded.
               this.window.setTimeout(resyncCurrentDialog, 1000);
         
            return false;
         }
      
         function resyncCurrentDialog() {
            if ((typeof(opener.currentDialog) != 'undefined') &&
                  (opener.currentDialog == null)) 
            {
                  opener.setModalDialog(window);
                  return;
            }
         
         // parent window isn't ready, wait for a bit and try again 
            this.window.setTimeout(resyncCurrentDialog, 1000);
         }
            
         function mapControlInstance(handle) {
             window.opener.mapControlInstance(handle);
             window.close();
         }
      
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="/LinkToControlInstanceChooserQuery">            
         <mon:Content>
            <%
               java.util.List extraParams = (java.util.List) request.getAttribute("extraParams");
               if (extraParams != null) {
                  for(int i=0;i<extraParams.size();i++) {
                     String value = request.getParameter(extraParams.get(i).toString());
                     if (value == null)
                        value = (String) request.getAttribute(extraParams.get(i).toString());
            %>
                        <input type="hidden" name="<%= extraParams.get(i) %>" value="<%= StringUtil.escapeHTML(value) %>" />
            <%
                  }
               }
            %>
            <mon:TableSetup />
      
            <script type="text/javascript">
               new TableComponent(null, false, 0, 0, null);
            </script>            
         </mon:Content>   
         <mon:PopupButtonBar>
            <mon:Button name="cancelButton" onclick="window.close()">
               <fmt:message key='application.cancel.txt' />
            </mon:Button>            
         </mon:PopupButtonBar>
      </html:form>      
   </mon:Body>
</mon:Page>
