<%@ include file="/tiles/taglibs.jsp" %>
<%@ include file="launchWRS.jsp" %>

<mon:setBundle />

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.util.regex.Pattern" %>
<%@ page import="java.util.regex.Matcher" %>

<%@ page import="com.sas.oprisk.server.FinancialImpact" %>
<%@ page import="com.sas.oprisk.server.DimensionalPoint" %>
<%@ page import="com.sas.oprisk.framework.server.objects.Do" %>

<%@ page import="com.sas.oprisk.server.dimensions.Dimensionality" %>
<%@ page import="com.sas.oprisk.server.dimensions.Dimensionality.Feature" %>

<script type="text/javascript"
   src="<%= request.getContextPath()+"/" %>script/reportDrillthrough.jsp"></script>
   
<%    
     Locale locale = request.getLocale();
     ResourceBundle bundle = ApplicationProperties.getBundle(locale);
     PersistenceSession psession = MonitorContext.getPersistenceSession(request);
     final String cursor = (String) request.getAttribute("cursor");
     final StringBuilder sb = (StringBuilder) request.getAttribute("reportSB");
     final User currentUser = (User) psession.getUser();
%>


<script type="text/javascript">

function setFocus() {
}

function exportReportToPDF() {
    var parms = "id=<%= cursor %>";
    parms += "&dimensionalPoint=" + document.forms[0].dimensionalPoint.value;
    window.location.href = 
       "<%= request.getContextPath() %>"
       + "/ReportPdfExport"
       + "?" + parms;
}

function dpRefresh(daHandle) {
   goWizard('<%= cursor %>&dpRefresh=true');
}

function onDrilldown(args) {
   goWizard('<%= cursor %>&reportDrilldown=true' + encodeURI(args));
}

</script>

  <html:form action="/ReportViewer">
  
     <html:hidden property="storedProcessName" />
     <html:hidden property="view" />
  
     <mon:DimPointChooser 
		property="dimensionalPoint"
		feature="CustomReporting"
		selectMethod="dpRefresh"
		rootVisible="true"
		readOnly='false' 
		/>

   <p/>

   <center>
<%
   try {
            
      out.print(sb.toString());
      
    } catch (Exception e) {
       e.printStackTrace();
       //out.println(e.getMessage());
    }
%>
     
   </center>
  
  </html:form>

<p class="reportfootnote">
<fmt:message key="reports.timestamp.message.fmt.txt">
   <fmt:param value="<%= StringUtil.escapeHTML(currentUser.getFriendlyName(request.getLocale())) %>" />
   <fmt:param value="${completionTimestamp}" />
</fmt:message>
</p>
