<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="java.util.ArrayList" %> 
<%@ page import="java.util.Date" %> 
<%@ page import="org.apache.struts.util.LabelValueBean" %>
<%@ page import="com.sas.oprisk.framework.server.objects.BusinessObjectList" %>
<%@ page import="com.sas.oprisk.framework.server.persistence.PersistenceSession" %>
<%@ page import="com.sas.oprisk.framework.server.query.Query" %>
<%@ page import="com.sas.oprisk.framework.server.query.QueryConstraint" %>
<%@ page import="com.sas.oprisk.framework.server.util.DateTimeUtils" %>
<%@ page import="com.sas.oprisk.monitor.web.MonitorContext" %>
<%@ page import="com.sas.oprisk.monitor.web.tags.*" %>
<%@ page import="com.sas.oprisk.monitor.web.utils.*" %>
<%@ page import="com.sas.oprisk.server.ApplicationProperties" %>
<%@ page import="com.sas.oprisk.server.base.CustFieldTypeCd" %>

<mon:setBundle />

<script type="text/javascript"
   src='<%= request.getContextPath()%>/dwr/interface/MonitorServer.js'></script>
<script type="text/javascript"
   src='<%= request.getContextPath()%>/dwr/engine.js'></script>
<script type="text/javascript"
   src='<%= request.getContextPath()%>/dwr/util.js'></script>

<%
   java.util.Locale locale = request.getLocale();
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);

   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);

   MonitorContext mcontext = MonitorContext.getMonitorContext(request);
 
   // used for currencies
   java.util.List currencyCodes = mcontext.getCurrencyCodeTable(locale, psession);   
   request.setAttribute("currencyCodes", currencyCodes);
   final String baseCurrencyCd = com.sas.oprisk.server.util.CurrencyUtils.getInitCurrencyCode(psession);
   
   final String dateFormat = com.sas.oprisk.framework.server.util.DateTimeUtils.getShortDateFormatPattern(locale); 
   
   CustFieldsTag.Model custFieldsModel = (CustFieldsTag.Model)request.getAttribute("custFieldsModel");
   final Integer groupNo = custFieldsModel.getGroupNo();
   final String propertyKey = custFieldsModel.getPropertyKey();
%>

<script language="javascript">

function setCustomCheckboxHiddenField(field)
{
   var str = "";
   var fieldName = (typeof field == 'string') ? field : field.name;
   checkboxes = document.getElementsByName(fieldName);
   for (i = 0; i< checkboxes.length; i++)
   {
      if (checkboxes[i].checked)
      {
         str += (str.length == 0)
            ? checkboxes[i].value
            : "," + checkboxes[i].value;
      }
   }
   var hiddenFields = document.getElementsByName(fieldName.replace(")", "<%= CustomFieldUtils.HIDDEN_VALUE %>)"));
   for (i = 0; i< hiddenFields.length; i++)
   {
      hiddenFields[i].value = str;
   }
}

</script>

<c:if test="${custFieldsModel.anyEnabled}">
   <c:if test="${custFieldsModel.displayHeader}">
      <c:if test="${not custFieldsModel.inOwnTable}">
         <tr>
            <td colspan="2">
      </c:if>
               <p>&nbsp;</p>
               <h2><fmt:message key="application.additionalInformation.txt"/></h2><br />
      <c:if test="${not custFieldsModel.inOwnTable}">
            </td>
         </tr>
      </c:if>
   </c:if>
   <c:if test="${custFieldsModel.inOwnTable}">
      <table border="0">
   </c:if>
</c:if>

<%-- dates --%>

<%
   java.util.List nonCustFields =CustomFieldUtils.getCustomFields(CustFieldTypeCd.dat.value,propertyKey);
   for (int i = 0; i < nonCustFields.size(); i++) {
      final String field = nonCustFields.get(i)+"" ;  
      if (CustomFieldUtils.groupNoEquals(propertyKey, field, groupNo) && !custFieldsModel.getExcludeFieldNames().contains(field)) {
         final String prop = "monitor." + propertyKey + "." + field;
         final String labelKey = propertyKey + ".field." + field + ".displayName.txt";
         final String customDtFieldName ="customField(" + field + ")";
%>   
      <mon:ifCustFieldDefined property="<%= prop %>">
         
            <tr id="<%= propertyKey + field %>">
                <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                    <mon:label key="<%= labelKey %>" property="<%= field %>" separatorVisible="true" />
                </td>
                <td class="field">
                <mon:date property="<%= customDtFieldName %>" readOnly='<%= custFieldsModel.isReadOnly() %>' dateFormat='<%= dateFormat %>' /> 
                </td>
            </tr>
      </mon:ifCustFieldDefined>
<%
      }
   }
%>
      
<%-- numbers --%>

<%
   nonCustFields =CustomFieldUtils.getCustomFields(CustFieldTypeCd.num.value,propertyKey);
   for (int i = 0; i < nonCustFields.size(); i++) {
      final String field = nonCustFields.get(i)+"" ;  
      if (CustomFieldUtils.groupNoEquals(propertyKey, field, groupNo) && !custFieldsModel.getExcludeFieldNames().contains(field)) {
         final String prop = "monitor." + propertyKey + "." + field;
         final String labelKey = propertyKey + ".field." + field + ".displayName.txt";
         final String customNumFieldName ="customField(" + field + ")";
%>   
      <mon:ifCustFieldDefined property="<%= prop %>">
         
            <tr id="<%= propertyKey + field %>">
                <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                    <mon:label key="<%= labelKey %>" property="<%= field %>" separatorVisible="true" />
                </td>
                <td class="field">
                    <mon:text property="<%= customNumFieldName %>" readonly='<%= custFieldsModel.isReadOnly() %>' size="15" maxlength="32" /> 
                </td>
            </tr>
      </mon:ifCustFieldDefined>
<%
      }
   
      
   }
%>      


<%-- strings --%>

<%
   nonCustFields =CustomFieldUtils.getCustomFields(CustFieldTypeCd.str.value,propertyKey);
   for (int i = 0; i < nonCustFields.size(); i++) {
       final String field = nonCustFields.get(i)+"" ;  
      if (CustomFieldUtils.groupNoEquals(propertyKey, field, groupNo) && !custFieldsModel.getExcludeFieldNames().contains(field)) {
         
         final String prop = "monitor." + propertyKey + "." + field;
         final String labelKey = propertyKey + ".field." + field + ".displayName.txt";
         final String rowCount = ConfigDataProperties.getProperty(
            "monitor." + propertyKey + "." + field + ".rowCount", "8");
         final String customStrFieldName ="customField(" + field + ")";   
         final int fieldLength = CustomFieldUtils.getFieldLength(propertyKey, field);
         final boolean showTextField = (fieldLength > 0 && fieldLength <= 80) || "1".equals(rowCount);
         final int size = Math.min((10 + (fieldLength > 0 ? fieldLength : 80)), 90);
%>   
      <mon:ifCustFieldDefined property="<%= prop %>">
            <tr id="<%= propertyKey + field %>">
                <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                    <mon:label key="<%= labelKey %>" property="<%= field %>" separatorVisible="true" />
                </td>
                <td class="field">
<%                  if (showTextField && fieldLength > 0) {   %>
                        <mon:text property="<%= customStrFieldName %>"
                                  readonly='<%= custFieldsModel.isReadOnly() %>'
                                  size="<%= String.valueOf(size) %>"
                                  maxlength="<%= String.valueOf(fieldLength) %>"/>
<%                  } else if (showTextField) { %>
                        <mon:text property="<%= customStrFieldName %>"
                                  readonly='<%= custFieldsModel.isReadOnly() %>'
                                  size="<%= String.valueOf(size) %>"/>
<%                  } else {
                        if (custFieldsModel.isReadOnly()) {
                            out.print("</div>"); // hack to work around IE white-space:normal bug
                        }
%>
                        <mon:textarea property="<%= customStrFieldName %>" readonly='<%= custFieldsModel.isReadOnly() %>' 
                                      rows="<%= rowCount %>" styleClass="textarea" cols="60"
                        /> 
<%                  } %>
                </td>
            </tr>
      </mon:ifCustFieldDefined>
<%
      }
   }
%>


<%-- flags --%>

<%
   nonCustFields =CustomFieldUtils.getCustomFields(CustFieldTypeCd.bol.value,propertyKey);
   for (int i = 0; i < nonCustFields.size(); i++) {
        final String field = nonCustFields.get(i)+"" ;  
      if (CustomFieldUtils.groupNoEquals(propertyKey, field, groupNo)) {
         
         final String prop = "monitor." + propertyKey + "." + field;
         final String baseLabelKey = propertyKey + ".field." + field;
         final String labelKey = baseLabelKey + ".displayName.txt";
         final String customFlgFieldName ="customField(" + field + ")";
%>   
      <mon:ifCustFieldDefined property="<%= prop %>">
<%
            final String trueKey    = baseLabelKey + ".true.displayName.txt";
            final String trueLabel  = ApplicationProperties.hasProperty(trueKey) 
                                    ? ApplicationProperties.getProperty(trueKey,locale) 
                                    : ApplicationProperties.getProperty("yesno.yes.txt",locale);

            final String falseKey   = baseLabelKey + ".false.displayName.txt";
            final String falseLabel = ApplicationProperties.hasProperty(falseKey) 
                                    ? ApplicationProperties.getProperty(falseKey,locale) 
                                    : ApplicationProperties.getProperty("yesno.no.txt",locale);
                                    final String customFieldName ="customField(" + field + ")";
%>
            <tr id="<%= propertyKey + field %>">
                <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                    <mon:label key="<%= labelKey %>" property="<%= field %>" separatorVisible="true" />
                </td>
                <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                    <fieldset class="screen-reader-only">
                    <legend><mon:label key="<%= labelKey %>" property="<%= field %>" separatorVisible="true" /></legend>
                    <mon:radio property="<%= customFlgFieldName %>" 
                      value="Yes" 
                      disabled="<%= custFieldsModel.isReadOnly() %>"
                   >
                       <%= trueLabel %>
                    </mon:radio>&nbsp;
                    
                    <mon:radio property="<%= customFlgFieldName %>" 
                       value="No" 
                       disabled="<%= custFieldsModel.isReadOnly() %>"
                    >
                       <%= falseLabel %>
                    </mon:radio>
                    </fieldset>
                </td>
            </tr>
      </mon:ifCustFieldDefined>
<%
      }
   }
%>

<%-- single-select options --%>

<%
   nonCustFields = CustomFieldUtils.getCustomFields(CustFieldTypeCd.ops.value, propertyKey);
   for (int i = 0; i < nonCustFields.size(); i++) {
      final String field = nonCustFields.get(i)+"" ;  
      if (CustomFieldUtils.groupNoEquals(propertyKey, field, groupNo) && !custFieldsModel.getExcludeFieldNames().contains(field)) {
         final String prop = "monitor." + propertyKey + "." + field;
         final String labelKey = propertyKey + ".field." + field + ".displayName.txt";
         final String customOptFieldName ="customField(" + field + ")";
%>   
      <mon:ifCustFieldDefined property="<%= prop %>">
<%
            java.util.List optionsList = NamedList.object.getLabelValueBeansForCustField(propertyKey, field, psession);
            request.setAttribute("options", optionsList);
%>

            <tr id="<%= propertyKey + field %>">
                <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                    <mon:label key="<%= labelKey %>" property="<%= field %>" separatorVisible="true" />
                </td>
                <td class="field">
                    <mon:select property="<%= customOptFieldName %>" disabled="<%= custFieldsModel.isReadOnly() %>">
                        <html:options collection="options" property="value" labelProperty="label" />
                    </mon:select> 
                </td>
            </tr>
      </mon:ifCustFieldDefined>
<%
      }
   }
%>

<%-- multi-select options --%>
   
<%
   nonCustFields = CustomFieldUtils.getCustomFields(CustFieldTypeCd.opm.value, propertyKey);
   for (int i = 0; i < nonCustFields.size(); i++) {
      final String field = nonCustFields.get(i)+"" ;  
      if (CustomFieldUtils.groupNoEquals(propertyKey, field, groupNo) && !custFieldsModel.getExcludeFieldNames().contains(field)) {
         final String prop = "monitor." + propertyKey + "." + field;
         final String labelKey = propertyKey + ".field." + field + ".displayName.txt";
         final String customOptFieldName ="customField(" + field + ")";
         final String hiddenCustomOptFieldName ="customField(" + field + CustomFieldUtils.HIDDEN_VALUE + ")";
%>   
      <mon:ifCustFieldDefined property="<%= prop %>">

            <tr id="<%= propertyKey + field %>">
                <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                    <mon:label key="<%= labelKey %>" property="<%= field %>" separatorVisible="true" />
                </td>
                <td class="field">
                   <mon:hidden property="<%= hiddenCustomOptFieldName %>"/>
<%
            java.util.List optionsList = NamedList.object.getLabelValueBeansForCustField(propertyKey, field, psession);
            request.setAttribute("options", optionsList);
            for (int optionIdx = 0; optionIdx < optionsList.size(); optionIdx++) {
               LabelValueBean lv = (LabelValueBean)optionsList.get(optionIdx);
%>
                    <div>
                       <mon:checkbox property="<%= customOptFieldName %>"
                         hiddenCsvProperty="<%= hiddenCustomOptFieldName %>" 
                         value="<%= lv.getValue() %>" 
                         disabled="<%= custFieldsModel.isReadOnly() %>"
                         onclick="setCustomCheckboxHiddenField(this)"
                       >
                          <%= StringUtil.escapeHTML(lv.getLabel()) %>
                       </mon:checkbox>
                    </div>
<%
            }
%>
                  <script language="javascript">
                     setCustomCheckboxHiddenField('<%= customOptFieldName %>');
                  </script>
                </td>
            </tr>
      </mon:ifCustFieldDefined>
<%
      }
   }
%>

<%-- currencies --%>

<%
   nonCustFields = CustomFieldUtils.getCurrencyCustomFieldsForNonCPB(propertyKey);
   for (int i = 0; i < nonCustFields.size(); i++) {
      final String field = nonCustFields.get(i)+"" ;
      if (CustomFieldUtils.groupNoEquals(propertyKey, field, groupNo) && !custFieldsModel.getExcludeFieldNames().contains(field)) {
      final String prop = "monitor." + propertyKey + "." + field;
           
      final String dateType  = field + CustomFieldUtils.FIELD_TYPE_CURDT ;
      final String dateField ="customField(" + dateType + ")";
      final String dateLabelKey = propertyKey + ".field." + dateType + ".displayName.txt";

      final String codeType  = field   + CustomFieldUtils.FIELD_TYPE_CURCD ;
      final String codeField ="customField(" + codeType + ")";

      final String baseType  = field + CustomFieldUtils.FIELD_TYPE_CURBASE ;
      final String baseField = "customField(" + baseType + ")";
      final String baseLabelKey = propertyKey + ".field." + baseType + ".displayName.txt";

      final String amntType  = field  + CustomFieldUtils.FIELD_TYPE_CURAMT ;
      final String amntField = "customField(" + amntType + ")";
      final String amntLabelKey = propertyKey + ".field." + amntType + ".displayName.txt";
   
      final String today = DateTimeUtils.formatShortDate(DateTimeUtils.today(), locale);
%>   
      <mon:ifCustFieldDefined property="<%= prop %>">
            <tr><td colspan="2">&nbsp;</td></tr>
            <tr>
                <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                    <mon:label key="<%= amntLabelKey %>" property="<%= amntField %>" separatorVisible="true" />
                </td>
                <td>
                    <table border="0" cellpadding="0" style="border-collapse:collapse">
                        <tr>
                            <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                                <div id="<%= amntType %>Div">
                                   <mon:text property="<%= amntField %>" readonly='<%= custFieldsModel.isReadOnly() %>' size="15" maxlength="32" /> 
                                </div>
                                <script type="text/javascript">
                                    function fill<%= amntType %>Div(data) {
                                        DWRUtil.setValue('<%= amntType %>Div', data, {escapeHtml:false});
                                    }
                                    function update<%= amntType %>Div() {
                                        var metaData = {
                                            callback: fill<%= amntType %>Div,
                                            errorHandler:function(errMsg) {fill<%= amntType %>Div(errMsg);}
                                        }
                                        MonitorServer.getConversion("<%= CustomFieldUtils.BASE_TO_AMOUNT %>",
                                                                    document.getElementsByName("<%=amntField%>")[0].value,
                                                                    document.getElementsByName("<%=codeField%>")[0].value,
                                                                    document.getElementsByName("<%=baseField%>")[0].value,
                                                                    "<%= baseCurrencyCd %>",
                                                                    document.getElementsByName("<%=dateField%>")[0].value,
                                                                    "<%= amntField %>", 
                                                                    metaData);
                                        return true;
                                    }
                                    function convertCurrency<%=field%>() {
                                        var aField = document.getElementsByName("<%=amntField%>")[0];
                                        var bField = document.getElementsByName("<%=baseField%>")[0];
                                        var aValue = aField.value + 0;
                                        var bValue = bField.value + 0;
                                        if(aValue == 0 && bValue == 0) {
                                            alert("<fmt:message key="application.convert.valueRequired.txt"/>"); 
                                            return;
                                        }
                                        if(aValue != 0 && bValue != 0) {
                                            alert("<fmt:message key="application.convert.bothExist.txt"/>"); 
                                            return;
                                        }
                                        if(aValue != 0)
                                            update<%= baseType %>Div();
                                        else
                                            update<%= amntType %>Div();
                                    }
                                </script>
                            </td>
                            <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                                &nbsp;
                                <mon:select property="<%= codeField %>" disabled="<%= custFieldsModel.isReadOnly() %>">
                                    <html:options collection="currencyCodes" property="code" labelProperty="code" />
                                </mon:select> 
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                    <mon:label key="<%= baseLabelKey %>" property="<%= baseField %>" separatorVisible="true" />
                </td>
                <td>
                    <table border="0" cellpadding="0" style="border-collapse:collapse">
                        <tr>
                            <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                                <div id="<%= baseType %>Div">
                                   <mon:text property="<%= baseField %>" readonly='<%= custFieldsModel.isReadOnly() %>' size="15" maxlength="32" /> 
                                </div>
                                <script type="text/javascript">
                                    function fill<%= baseType %>Div(data) {
                                        DWRUtil.setValue('<%= baseType %>Div', data, {escapeHtml:false});
                                    }
                                    function update<%= baseType %>Div() {
                                        var metaData = {
                                            callback: fill<%= baseType %>Div,
                                            errorHandler:function(errMsg) {fill<%= baseType %>Div(errMsg);}
                                        }
                                        MonitorServer.getConversion("<%= CustomFieldUtils.AMOUNT_TO_BASE %>",
                                                                    document.getElementsByName("<%=amntField%>")[0].value,
                                                                    document.getElementsByName("<%=codeField%>")[0].value,
                                                                    document.getElementsByName("<%=baseField%>")[0].value,
                                                                    "<%= baseCurrencyCd %>",
                                                                    document.getElementsByName("<%=dateField%>")[0].value,
                                                                    "<%= baseField %>", 
                                                                    metaData);
                                        return true;
                                    }
                                </script>
                              </td>
                            <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                                &nbsp;
                                <%= baseCurrencyCd %>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="fieldlabel" <c:if test="${custFieldsModel.noWrapLabels}">nowrap</c:if>>
                    <mon:label key="<%= dateLabelKey %>" property="<%= dateField %>" separatorVisible="true" />
                </td>
                <td class="field">
                    <mon:date property="<%= dateField %>" readOnly='<%= custFieldsModel.isReadOnly() %>' dateFormat='<%= dateFormat %>' /> 
                </td>
            <tr>
                <th class="fieldlabel" colspan="2">&nbsp;&nbsp;
                    <input type="button" class="button"
                        onmouseover="this.className='button buttonRollover'"
                        onmouseout="this.className='button'"
                        value="<fmt:message key='application.convert.txt' />" 
                        onclick="convertCurrency<%=field%>()" 
                    />
                    <span class="instructions">&nbsp;&nbsp;
                        <fmt:message key="application.convert.directions.txt"/>
                    </span>
                </th>
            </tr>

            <script type="text/javascript">
                function set<%=dateType%>Date() {
                    var dateField = document.getElementsByName("<%=dateField%>")[0];
                    if(dateField.value == "") {
                        dateField.value="<%=today%>";
                    }
                }
                set<%=dateType%>Date();
            </script>
      </mon:ifCustFieldDefined>
<%
      }
   }
%>

<c:if test="${custFieldsModel.anyEnabled}">
   <c:if test="${custFieldsModel.inOwnTable}">
      </table>
   </c:if>
</c:if>
