<%@ page import="com.sas.oprisk.server.iap.Commentable" %>
<%@ page import="com.sas.oprisk.monitor.web.MonitorContext" %>
<%@ page import="com.sas.oprisk.framework.server.persistence.PersistenceSession" %>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils" %>
<%@ include file="/tiles/taglibs.jsp" %>

<%@page import="com.sas.solutions.cpb.web.util.HTMLUtil"%>
<%@page import="com.sas.solutions.cpb.web.tag.field.ComponentFieldRenderer"%>
<%@page import="com.sas.oprisk.server.cpb.MonitorUIDefinitionType"%>
<%@page import="com.sas.solutions.cpb.web.util.RequestUtil"%>
<%@page import="com.sas.solutions.cpb.util.FieldUtil"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%><mon:setBundle />

<%
	java.util.ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
	final Commentable commentsContainer = (Commentable)request.getAttribute("commentsContainer");
	final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
	final MonitorContext mc = MonitorContext.getMonitorContext(request);
   
   String title = bundle.getString("application.Comments.txt");
   String fieldName = "comments";
   boolean required = false;
   boolean invalid = false;
   
   // if this is being used in a CPB screen, we can get some extra info
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);
   if (componentInfo != null && MonitorUIDefinitionType.COMP_COMMENTS.equals(componentInfo.getComponent().getName())) {
      final UIContext uiContext = RequestUtil.getUIContext(request);
      
      title = FieldUtil.getLabel(componentInfo.getField(), uiContext);
      fieldName = componentInfo.getField().getName();
      required = componentInfo.isRequired();
      invalid = RequestUtil.isFieldValueInvalid(fieldName, pageContext);
   }   
%>

<mon:table width="100%" cellspacing="0" class="displayTable" name="requestScope.comments" id="comment">
   <mon:title><%
      HTMLUtil.writeSectionIndicators(
         fieldName,
         required,
         invalid,
         request.getLocale(),
         out);    
   %><%= title %></mon:title>
   <c:if test="${not readOnlyComments}">
   <mon:action href="javascript:addComment();">
      <fmt:message key='application.addComment.button.txt' />
   </mon:action>
   </c:if>      
   <display:column title='<%= bundle.getString("incident.investigate.comments.timestamp.displayName.txt") %>' 
      property='timestamp' />
   <display:column title='<%= bundle.getString("incident.investigate.comments.user.displayName.txt") %>' 
      property='escapedUser' />
   <display:column title='<%= bundle.getString("incident.investigate.comments.comments.displayName.txt") %>' 
      property='escapedText' />
</mon:table>
