<%@ include file="/tiles/taglibs.jsp" %>
<%@page import="com.sas.servlet.tbeans.dualselector.html.DualListSelector"%>
<%@page import="com.sas.servlet.tbeans.form.html.Form"%>
<%@page import="javax.swing.ListModel"%>
<%@page import="javax.swing.DefaultListModel"%>
<%@page import="java.util.*"%>
<%@page import="org.apache.struts.util.LabelValueBean"%>
<%@page import="com.sas.oprisk.monitor.web.tags.duallist.DualListForm"%>
<%@page import="com.sas.servlet.tbeans.html.Label" %>
<%@page import="com.sas.servlet.tbeans.html.Button" %>

<%-- ****************************************************************** --%>
<%-- View component for DualListFormTag --%>
<%-- ****************************************************************** --%>

<mon:setBundle />

<html:form onsubmit="return DualList.submit(form);" action='<%= (String)request.getAttribute("dualListAction") %>'>
<html:hidden property="handle" />
<%
   DualListForm dualListForm = (DualListForm)pageContext.findAttribute("dualListForm");

   Form form = new Form("dualListForm");
   form.setName("dualListForm");

   DualListSelector dualSelector = new DualListSelector();
   dualSelector.setRequest(request);
   dualSelector.setMultipleSelections(true);
   dualSelector.setId("selectedHandles");
   dualSelector.setFormEnabled(false);
   dualSelector.setFormObject(form);

   final String sourceLabel = (String)pageContext.findAttribute("sourceLabel");
   final String targetLabel = (String)pageContext.findAttribute("targetLabel");
   final String submitButtonLabel = (String)pageContext.findAttribute("submitButtonLabel");
   ((Label) dualSelector.getComponent(DualListSelector.DUALSELECTOR_SOURCE_LABEL)).setText(sourceLabel);
   ((Label) dualSelector.getComponent(DualListSelector.DUALSELECTOR_TARGET_LABEL)).setText(targetLabel);
   ((Button) dualSelector.getComponent(DualListSelector.DUALSELECTOR_SUBMIT_BUTTON)).setLabel(submitButtonLabel);

   DefaultListModel available = new DefaultListModel();
   DefaultListModel availableDescriptions = new DefaultListModel();

   DefaultListModel target = new DefaultListModel();
   DefaultListModel targetDescriptions = new DefaultListModel();

   Collection availableItemList = dualListForm.getAvailableItems();
   Collection selectedItemList = dualListForm.getSelectedItems();

   if (availableItemList != null)
   {
      Iterator i = availableItemList.iterator();
      while(i.hasNext())
      {
         LabelValueBean lvb = (LabelValueBean)i.next();
         available.addElement(lvb.getValue());
         availableDescriptions.addElement(StringUtil.escapeHTML(lvb.getLabel()));
      }
   }

   if (selectedItemList != null)
   {
      Iterator i = selectedItemList.iterator();
      while(i.hasNext())
      {
         LabelValueBean lvb = (LabelValueBean)i.next();
         target.addElement(lvb.getValue());
         targetDescriptions.addElement(StringUtil.escapeHTML(lvb.getLabel()));
      }
   }

   dualSelector.setModel(available);
   dualSelector.setDescriptionModel(availableDescriptions);

   dualSelector.setTargetModel(target);
   dualSelector.setTargetDescriptionModel(targetDescriptions);

   dualSelector.write(out);
%>

</html:form>

