<%@ page import="com.sas.solutions.cpb.web.tag.field.ComponentFieldRenderer" %>
<%@ page import="com.sas.oprisk.server.cpb.MonitorUIDefinitionType" %>
<%@ page import="com.sas.oprisk.monitor.web.user.actions.*" %>
<%@ page import="com.sas.oprisk.monitor.web.linking.*" %>
<%@ include file="/tiles/taglibs.jsp" %>


<mon:setBundle />
<%
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
   
   LinkedBusinessObjectsModel model = LinkedBusinessObjectsModel.getModelFromRequest(request);
   
   final boolean canLink = model.getCanLink();
   
   boolean required = false;
   ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);
   if (componentInfo != null && MonitorUIDefinitionType.COMP_LINKED_BUSINESS_OBJECTS.equals(
          componentInfo.getComponent().getName()))
   {
      required = componentInfo.isRequired();
   }
%>
<mon:tableComponent entryName="<%=model.getEntryId()%>"
                    id="entry"
                    required="<%= required %>"
                    wizCursor=""
                    exportXlsUrl="<%= model.getExportURL(request) %>">
   <mon:title><%=model.getTableTitle()%></mon:title>
<%
   if (!model.isReadOnly())
   {
      LinkedBusinessObjectEntry entry = (LinkedBusinessObjectEntry)pageContext.findAttribute("entry");
      LinkInstance linkInstance = (entry == null) ? null : entry.getLinkInstance();
      
      String unlinkSelectedHREF =
         "javascript:LinkedBusinessObjects.unlinkBusinessObjects('" +
            StringUtil.escapeJSForHTMLAttribute(model.getEntryId()) + "', '" + StringUtil.escapeJSForHTMLAttribute(model.getTableTitle())+ "')";
%>
   <mon:action href="<%=unlinkSelectedHREF%>">
      <fmt:message key='linkedBusinessObjects.unlinkSelected.txt'/>
   </mon:action>
   
<%
      if (canLink)
      {
         String linkHREF =
            "javascript:LinkedBusinessObjects.showLinkedBusinessObjectsChooser('" +
               model.getEntryId() + "')";
%>
   <mon:action href="<%=linkHREF%>">
      <fmt:message key='linkedBusinessObjects.link.txt'/>
   </mon:action>
<%
      }
%>
   
   <mon:fixedColumn width="10" title="<%=model.getSelectAllCheckboxHTML()%>">
      <input type="checkbox" name="<%=model.getEntryId()%>.linkInstanceRkList" value="<%=linkInstance.getKey()%>" />
   </mon:fixedColumn>
   
   <mon:fixedColumn width='1%' title='<%= bundle.getString("application.remove.txt") %>' before="false" >
      <a href="javascript:LinkedBusinessObjects.unlinkSingleBusinessObject('<%= StringUtil.escapeJSForHTMLAttribute(model.getEntryId())%>', <%=linkInstance.getLinkInstanceRk() %>, '<%=model.getUnlinkValue() != null ? StringUtil.escapeJSForHTMLAttribute(entry.getBusinessObjectValue(psession, model.getUnlinkValue())) : ""%>')" ><img
         border="0" src="<fmt:message key='application.remove.image' />"  
         alt="<fmt:message key='linkedBusinessObjects.unlink.txt'/>" 
         title="<fmt:message key='linkedBusinessObjects.unlink.txt'/>"/>
      </a>
   </mon:fixedColumn>
<%
   }
%>
</mon:tableComponent>
<%
if (!model.isReadOnly())
{
%>
<script type="text/javascript">
CheckboxGroup.create("<%=StringUtil.escapeJSForHTML(model.getEntryId())%>.linkInstanceRkList", "<%=StringUtil.escapeJSForHTML(model.getSelectAllCheckboxName())%>");
</script>
<%
}

if (model.hasInvisibleItems())
{
%>
<mon:InfoMessage>
   <fmt:message key="linkedBusinessObjects.hasInvisibleItems.txt" />
</mon:InfoMessage>
<%
}
%>