<%@ page import="com.sas.oprisk.server.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.monitor.web.MonitorContext" %>
<%@ page import="com.sas.oprisk.monitor.web.tags.ora.*" %>
<%@ page import="com.sas.oprisk.monitor.web.ora.*" %>
<%@ page import="com.sas.solutions.cpb.util.StringUtil" %>
<%@ page import="com.sas.oprisk.monitor.web.ora.actions.*" %>
<%@ page import="com.sas.oprisk.monitor.web.tags.treechooser.*" %>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils" %>
<%@ page import="com.sas.oprisk.framework.server.persistence.PersistenceSession" %>
 
<%
	final Locale loc = request.getLocale();
	final PersistenceSession ps = MonitorContext.getPersistenceSession(request);
%>

<%-- include the static js --%>
<script type="text/javascript"
   src='<%= request.getContextPath() %>/components/ora/OraEditorStaticScript.jsp'></script>

<script type="text/javascript">

<%-- Can't pass parameters to included javascript, and included javascript  --%>
<%-- doesn't have access to request attributes, so do it like this.         --%>
var isDimPoint = <c:out value="${model.dimPoint}" />;
var isRootVisible = <c:out value="${model.rootVisible}" />;
var isFavorite = <c:out value="${model.favorite}" />;
var isForFiltering = <c:out value="${model.forFiltering}" />;
var secureObjectClass = "<c:out value="${model.secureObjectClass}" />";
var secureAction = "<c:out value="${model.secureAction}" />";
var parentArea = "<c:out value="${model.parentArea}" />";
var feature = "<c:out value="${model.feature}" />";
<c:if test="${empty model.editNode and not empty model.editDim}">
var editDim = "<c:out value="${model.editDim}" />";
</c:if>

var dims = new Array(
<c:forEach items="${model.dims}" var="dim" varStatus="status">
   new Dimension("<c:out value="${dim.name}" escapeXml="false" />", "<c:out value="${dim.value}" />", "<c:out value="${dim.className}" />", <c:out value="${dim.multiselectAllowed}" />, <c:out value="${dim.required}" />, <c:out value="${dim.leafOnly}" />)<c:if test="${!status.last}">,</c:if>
</c:forEach>);

var favs = new Array(
<c:forEach items="${model.favs}" var="fav" varStatus="status">
   new Favorite("<c:out value='${fav.name}'/>", "<c:if test='${model.dimPoint}'><c:out value="${fav.pointHandle}"/></c:if><c:if test='${not ocmodel.dimPoint}'><c:out value="${fav.itemHandle}"/></c:if>", <c:out value="${fav.enabled}"/>, "<c:out value="${fav.tip}"/>")<c:if test="${!status.last}">,</c:if>
</c:forEach>);

<%--
var addlNodes = new Array(
<c:forEach items="${model.additionalNodes}" var="node" varStatus="status">
   new DimensionNode(getDimensionByName('<c:out value="${node.dimension.value}" />'), '<c:out value="${node.handleString}" />', null)<c:if test="${!status.last}">,</c:if>
</c:forEach>);
--%>

<%-- locked dimensions: true means a node was previously selected --%>
var lockedDims = new Array();
<c:forEach items="${model.singularDimMap}" var="entry">
lockedDims['<c:out value="${entry.key}" />'] = <c:out value="${not empty entry.value}" />;</c:forEach>

function fillDimNodes() {
	var dimNode;
	var dim;
	
	<c:forEach items="${model.nodes}" var="node">
<%
		DimensionNode dimNode = (DimensionNode)pageContext.findAttribute("node");
		String path = com.sas.oprisk.server.util.PathUtils.formatPath(dimNode.getPathWithStatus(loc, ps));
		if ("".equals(path)) {
			path = dimNode.getName(loc);
		}
%>
		dim = getDimensionByName('<c:out value="${node.dimension.value}" />');
		if (dim != null) {
			dimNode = new DimensionNode(
				dim, '<c:out value="${node.handleString}" />', 
				'<%= StringUtil.escapeJSForHTML(path) %>');
			dimNodes[dimNodes.length] = dimNode;
			var tr = addDimTableRow(dimNode);
			<c:if test="${node.handleString == model.editNode}">
				var evt = new Object();
				evt.target = tr.childNodes[0];
				dimNodeSelected(evt);
				doEdit();
			</c:if>
		}
	</c:forEach>
	
	updateDimTableButtons();
	refreshDimSelector();
	if (!editing && oraForm().dim.selectedIndex > 0) {
		dimSelected();
	}
}

// we do this because otherwise the favorites menu displays *behind* the drop-down
hideWindowedElements = hideDimSelector;
revealWindowedElements = revealDimSelector;

function hideDimSelector() {
	elementById('dimSelector', document).style.visibility = 'hidden';
}

function revealDimSelector()	{
	elementById('dimSelector', document).style.visibility = 'visible';
}

</script>
