<%@ page import="com.sas.solutions.cpb.runtime.*" %><%@ 
    page import="com.sas.solutions.cpb.web.tag.field.*" %><%@ 
    page import="com.sas.solutions.cpb.util.*" %><%@ 
    page import="com.sas.solutions.cpb.web.util.*" %><%@ 
    page import="com.sas.solutions.cpb.screendefs.*" %><%@ 
    page import="com.sas.oprisk.server.iap.*" %><%@ 
    page import="com.sas.oprisk.server.web.cpb.runtime.*" %><%@ 
    page import="com.sas.oprisk.monitor.web.cpb.runtime.*" %><%@ 
    page import="com.sas.oprisk.monitor.web.cpb.runtime.component.*" %><%@ 
    page import="org.apache.commons.lang.*" %><%@ 
    page import="javax.servlet.jsp.el.*" %><%@ 
    page import="java.util.*" %><%@
    page import="java.sql.Timestamp" %><%@
    page import="com.sas.solutions.cpb.expr.*" %><%@
    page import="com.sas.oprisk.monitor.web.comments.*" %>

<%@ include file="/tiles/taglibs.jsp" %>

<mon:setBundle />

<%
   final UIContext uiContext = RequestUtil.getUIContext(request);
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);  
   
   final Field field = componentInfo.getField();
   
   // retrieve the commentable object
   final String tpHandleKey = FieldUtil.getQualifiedFieldName(field.getObjectName(),
      MonitorUIContext.DefaultField.TP_HANDLE.getName());
   
   Commentable commentable = null;
   final TaggedPointerHandle tpHandle = (TaggedPointerHandle)uiContext.getValue(tpHandleKey);
   boolean isReadOnly = componentInfo.isReadOnly();
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   boolean immediateSave = false;
   if (tpHandle != null) {
      commentable = CommentAction.getCommentsContainer(tpHandle, request);
      Object immediateSaveObj = request.getAttribute(CommentsComponent.ATTR_IMMEDIATE_SAVE);
      
      if(immediateSaveObj != null) {
    	  immediateSave = ((Boolean)immediateSaveObj).booleanValue();
      }
      if (!immediateSave && !isReadOnly && commentable != null) {
         isReadOnly = !commentable.can(Do.UPDATE, psession);
      }
   }
   
   
 
%>

<mon:CommentsTable 
   commentsContainer='<%= commentable %>'
   immediateSave='<%= immediateSave %>'
   readOnly='<%= isReadOnly %>' 
/>
