<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.sas.solutions.cpb.web.util.*" %>
<%@ page import="com.sas.solutions.cpb.util.StringUtil" %>
<%@ page import="com.sas.oprisk.server.ApplicationProperties" %>
<%@ page import="com.sas.oprisk.monitor.web.*" %>
<%@ page import="com.sas.oprisk.monitor.web.layout.*" %>
<%@ page import="com.sas.oprisk.monitor.web.layout.template.*" %>
<%@ page import="com.sas.oprisk.monitor.web.utils.*" %>
<%@ page import="com.sas.oprisk.framework.server.persistence.PersistenceUser" %>
<%@ taglib uri="http://www.sas.com/taglib/sas" prefix="sas"
%>
<%
   PageLayout pageLayout = PageLayout.getPageLayout(request);
   PageTemplate pageTemplate = pageLayout.getPageTemplate();
   int bannerHeight = 0;//60;//pageTemplate.getBannerHeight(pageLayout);
   
   MonitorSession monitorSession = MonitorSession.getMonitorSession(request, false);
   PersistenceUser user = (monitorSession == null) ? null : monitorSession.getUser();
   LayoutDirection layoutDirection = LayoutDirection.getLayoutDirection(request);
   ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
   
%>
<div id="banner" class="banner_container" style='<%=layoutDirection.getLeft()%>: 0; position: relative; <%= (bannerHeight > 0) ? "height: " + bannerHeight + "px;" : ""%>'>
  
  <%
  // displayed for the log off banner.  remove when not needed
  if (pageTemplate.getShowGlobalBannerMenuBar(pageLayout))
  {
     %>
   <div class="banner_utilitybar_overlay">&nbsp;</div>
   <%
  }
  %>
  <table class="banner_utilitybar" border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr><%-- insert a TD with a one-pixel navigation link --%>
         <td class="bannerSkipNav"><a href="#mainContentArea"><img src="<%=request.getContextPath()%>/images/spacer.gif"
             width="1" height="1" border="0"
             class="skipnav"
             alt="<%=com.sas.servlet.tbeans.html.RB.getStringResource(
                        "Banner.alt.skip.txt",
                        request.getLocale())%>" /></a></td>
<%
   if ((monitorSession != null) && monitorSession.isFromPortal()) {
%>
         <td class="banner_utilitybar_navigation" width="40%" align="<%=layoutDirection.getLeft()%>">
               &nbsp;  <a id="backToPortal" href="Portal" target="_top" title="<%= pageLayout.getString("application.backToPortal.txt") %>" tabindex=2><sas:ThemedImage image="Banner_backArrow" />
               <%= bundle.getString("application.backToPortal.title") %></a>
         </td>
<%
   }
   if (pageTemplate.getShowGlobalBannerMenuBar(pageLayout))
   {
      String userId = user.getUserId();
      String displayName = user.getDisplayNm(request.getLocale());
%>                   
         <td align="<%=layoutDirection.getRight()%>">
            <div id="globlMenuBar" class="SimpleMenuBar SimpleMenuBar_Banner_GlobalMenu_Look">
            <table border="0" cellpadding="0" cellspacing="0">
               <tr>
                  <td class="SimpleMenuBarItem SimpleMenuBarItem_Banner_GlobalMenu_Look">
                     <a href="<%= RequestUtilities.getLogoffURL(request) %>"
                        title="<%= pageLayout.getString("logout.tooltip.userID.txt") %>:&nbsp;<%= StringUtil.escapeHTML(userId) %>">
                        <%= bundle.getString("logout.title")%>&nbsp;&nbsp;<%= StringUtil.escapeHTML(displayName) %>
                     </a>
                  </td>
                  <td>
                     <span class="SimpleMenuBarSeparator SimpleMenuBarSeparator_Banner_GlobalMenu_Look">|</span>
                     &nbsp;
                  </td>
                  <td class="SimpleMenuBarItem SimpleMenuBarItem_Banner_GlobalMenu_Look">
                     <jsp:include page="/tiles/layout/preferences.jsp" />
                  </td>
                  <td>
                     <span class="SimpleMenuBarSeparator SimpleMenuBarSeparator_Banner_GlobalMenu_Look">|</span>
                     &nbsp;
                  </td>
                  <td class="SimpleMenuBarItem SimpleMenuBarItem_Banner_GlobalMenu_Look">
                     <jsp:include page="/tiles/layout/help.jsp" />
                     &nbsp;
                  </td>
               </tr>
            </table>
            </div>
         </td>
<%
   }
%>
      </tr>
   </table>
   <jsp:include page="/layout/BannerContent.jsp" />
<%
   if (user != null)
   {
      pageTemplate.writeBannerNavigationMenu(pageLayout, pageContext);
   }
%>
</div>