<%@page import="java.util.*" %>
<%@page import="com.sas.oprisk.framework.server.util.*" %>
<%@page import="com.sas.oprisk.server.base.*" %>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@page import="com.sas.solutions.cpb.web.tag.field.ComponentFieldRenderer"%>
<%@page import="com.sas.solutions.cpb.web.util.RequestUtil"%>
<%@page import="com.sas.oprisk.monitor.web.csa.assessment.AssessorEntry"%>

<%@ include file="/tiles/taglibs.jsp" %>

<%@page import="com.sas.oprisk.server.logical.Assessor"%>
<%@page import="com.sas.oprisk.server.cpb.uiDefType.AssessmentUIDefinitionType"%><mon:setBundle />

<%
try {
   final UIContext uiContext = RequestUtil.getUIContext(request);
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);
   
	final Locale locale = uiContext.getLocale();
	final ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   final String fromQnr = (String)uiContext.getValue(AssessmentUIDefinitionType.VAR_FROM_QNR);
   
   // put the uiContext list into a request attribute so that the display table can find it
   final String listKey = "AssessorStatus_" + componentInfo.getField().getName();
   request.setAttribute(listKey, uiContext.getValue(componentInfo.getField()));
%>
	
<mon:table width="100%" class="displayTable" cellspacing="0" name="<%= listKey %>" id="assessor">
	<mon:title><fmt:message key="AssessmentWizard.scoping.section.assessors.txt"/></mon:title>

<%
	final Assessor a = (Assessor)assessor; 
   final String sheetHandle = a != null ? a.getAnswerSheet().getHandleString() : null; 
   final String href = "javascript:doAssessment('viewSheet&qnrHandle=" + sheetHandle + "')"; 
   final boolean linkActive = sheetHandle != null ? !sheetHandle.equals(fromQnr) : false;  
%>
	<display:column title='<%= bundle.getString("AssessmentWizard.scoping.section.assessor.txt") %>'>
		<% if (linkActive) { %>
			<a href="<%= href %>">
		<% } %>
		<%= StringUtil.escapeHTML(a.getUser().getFriendlyName(locale)) %>
      <% if (linkActive) { %>
			</a>
      <% } %>
	</display:column>
	
	<display:column title='<%= bundle.getString("AssessmentWizard.assessorLocation.txt") %>'>
      <% if (linkActive) { %>
         <a href="<%= href %>">
      <% } %>
		<c:out value="${assessor.defaultLocation}" />
      <% if (linkActive) { %>
         </a>
      <% } %>
	</display:column>
	
	<display:column title='<%= bundle.getString("assessmentAnswerSheet.field.answerSheetStatusCd.displayName.txt") %>'>
      <% if (linkActive) { %>
         <a href="<%= href %>">
      <% } %>
		<%= bundle.getString(a.getAnswerSheet().getAnswerSheetStatusCd().getDisplayNameKey()) %>
      <% if (linkActive) { %>
         </a>
      <% } %>
	</display:column>
   
</mon:table>
<%
} catch (Exception e) {
	e.printStackTrace();
}
%>
