<%@ include file="/tiles/taglibs.jsp" %>

<%@ page import="com.sas.oprisk.monitor.web.csa.controlInstance.*" %>
<%@ page import="com.sas.oprisk.framework.server.util.*" %>
<%@ page import="com.sas.oprisk.server.logical.*" %>
<%@ page import="com.sas.oprisk.monitor.web.controlTesting.tests.TestConclusionCellFormatter" %>
<%@ page import="java.util.*" %>
<%@ page import="com.sas.solutions.cpb.web.util.RequestUtil" %>
<%@ page import="com.sas.solutions.cpb.web.util.HTMLUtil"%>
<%@ page import="com.sas.oprisk.monitor.web.controlInstance.*"%>
<%@ page import="com.sas.oprisk.framework.server.persistence.*"%>
<%@page import="com.sas.solutions.cpb.web.util.json.JSONEncoder"%>
<mon:setBundle />

<%
java.util.Locale locale = request.getLocale();  
java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
final ControlInstanceCPBModel model = (ControlInstanceCPBModel)request.getAttribute("model");

boolean hyperlinkRisks = true; // TODO add more check
PersistenceSession psession = MonitorContext.getPersistenceSession(request);
%>

<script type="text/javascript">
var objectiveNames = [];
function selectObjective() {
   openModal(
      "<%= request.getContextPath() %>" 
	      + "/ControlObjectiveChooserQuery.do?ciHandle="
	      + document.forms[0].handle.value,
      "controlObjectivePopup",
      "width=680,height=480,scrollbars,resizable,status");
}

function removeObjective(objHandle, id) {
    var msg = unescape("<%= ParsingUtils.escape(bundle.getString(
	   "ControlInstanceWizard.removeObjective.confirm.message.fmt.txt")) %>");
	msg = formatMessage(msg, unescape(id));
	if (confirm(msg)) {
		
		var f = document.forms[0];
      f.action = f.action + "?method=removeObjective&objectiveHandle=" + objHandle;
      f.submit();
	}
}
<%
int index = 0;
%>

</script>

    
    <!-- Control Objectives -->

    <mon:table width="100%" class="displayTable" cellspacing="0" name="uiContext.objectives" id="obj">
      <mon:title><fmt:message key="controlInstance.section.objectives.txt"/></mon:title>
      
      <c:if test="${!componentInfo.readOnly}" >
         <mon:action href='javascript:selectObjective()'><fmt:message key='controlInstance.objective.add.txt'/></mon:action>&nbsp;|&nbsp;
      </c:if>
<%

      if (obj != null) {
         final Objective o = (Objective) obj;
         final MonitorContext mc = MonitorContext.getMonitorContext(request);
         //final PersistenceSession psession = MonitorContext.getPersistenceSession(request);

         String objectiveName = o.getObjectiveNm();
        
         %>
         
      <display:column title='<%= bundle.getString("objective.field.objectiveId.displayName.txt") %>'>
         <%= StringUtil.escapeHTML(o.getObjectiveId()) %>
      </display:column>
      
      <display:column title='<%= bundle.getString("objective.field.sourceSystemCd.displayName.txt") %>'>
         <%= StringUtil.escapeHTML(mc.getSourceSystemDescription(
			o.getSourceSystemCd(), request.getLocale(), psession)) %>
      </display:column>

      <display:column title='<%= bundle.getString("objective.field.objectiveNm.displayName.txt") %>'>
         <%= StringUtil.escapeHTML(o.getObjectiveNm()) %>
      </display:column>
            
      <display:column title='<%= bundle.getString("objective.field.objectiveDesc.displayName.txt") %>'>
         <%= (o.getObjectiveDesc() == null) ? "" : StringUtil.escapeHTML(o.getObjectiveDesc()) %>
      </display:column>
      <c:if test="${!componentInfo.readOnly}">
        
            <display:column width='1%' title='<%= bundle.getString("application.remove.txt") %>' align='center' headerClass="nwc">
            <!-- assign java string with escaped quote or double quote to javascript single quote/double quote -->
          <script type="text/javascript">
          
          objectiveNames.push("<%= StringUtil.escapeJSForHTML(objectiveName) %>");
          </script>
      		<a href="javascript:removeObjective('<%= o.getHandleString() %>', objectiveNames[<%= index++ %>])"><img 
      			border="0" src="<fmt:message key='application.remove.image' />"  
      			alt="<fmt:message key='application.remove.txt'/>" 
      			title="<fmt:message key='application.remove.txt'/>"/></a></display:column>
      </c:if>
<%
      }
%>
    </mon:table>

