<%@page import="org.apache.commons.lang.StringUtils"%>
<%@ include file="/tiles/taglibs.jsp" %>

<mon:Page template="popup">
   <mon:Head>
      <script type="text/javascript">

      function mapControlInstance(handle) {
          window.opener.mapControlInstance(handle);
      }
      
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="/MitigatingControlInstanceChooserQuery">      
         
         <mon:Content>
            <%
               String retHandle = request.getParameter("retHandle");
               String areaHandle = request.getParameter("areaHandle");
               if (StringUtils.isNotEmpty(retHandle) || StringUtils.isNotEmpty(areaHandle))
               {
                  String constrainByMappingsChecked = request.getParameter("constrainByMappings");
                  if (constrainByMappingsChecked != null)
                  {
                     constrainByMappingsChecked = "checked='checked'";
                  }
            %>
                  <div style="margin-bottom: 1em;">
                     <input type="checkbox" id="constrainByMappings" name="constrainByMappings"
                            onclick="this.form.submit()"
                            value="true"
                            <%= constrainByMappingsChecked %>
                     />
            
                     <label for="constrainByMappings">
                        <fmt:message key="ora.constrainByMappings.txt" />
                     </label>
                  </div>
            <%
               }
               
               java.util.List extraParams = (java.util.List) request.getAttribute("extraParams");
               if (extraParams != null) {
                  for(int i=0;i<extraParams.size();i++) {
                     String value = request.getParameter(extraParams.get(i).toString());
                     if (value == null) {
                        value = (String) request.getAttribute(extraParams.get(i).toString());
                     }
                     if (value != null) {
            %>
                        <input type="hidden" name="<%= extraParams.get(i) %>" value="<%= StringUtil.escapeHTML(value) %>" />
            <%
                     }
                  }
               }
            %>
                  <mon:TableSetup />
            
                  <script type="text/javascript">
                     new TableComponent(null, false, 0, 0, null);
                  </script>
         </mon:Content>   
         
         <mon:PopupButtonBar>
            <mon:Button name="cancel" onclick="window.close()">
               <fmt:message key='application.cancel.txt' />
            </mon:Button>            
         </mon:PopupButtonBar>
      </html:form>      
   </mon:Body>
</mon:Page>
