<%@ include file="/tiles/taglibs.jsp"%>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils"%>
<%@ page import="com.sas.oprisk.monitor.web.actions.GlobalSearchModel"%>
<%@ page
   import="com.sas.oprisk.framework.server.objects.TaggedPointerHandle"%>

<%
   GlobalSearchModel model = (GlobalSearchModel) request
					.getAttribute("model");
			if (model == null)
				model = new GlobalSearchModel(request);

			final String searchKey = request.getParameter("searchKey");
			final String searchType = request.getParameter("searchType");
			final String exportUrl = request.getContextPath()
					+ "/GlobalSearchQuery.do?"
					+ "searchKey=" + StringUtil.encodeURLValue(searchKey)
					+ "&searchType=" + StringUtil.encodeURLValue(searchType)
					+ "&entryId=globalSearch";
%>

<mon:Page template="details">
   <mon:Head>
      <script type="text/javascript">

      function setSearchPrompt() {
         var globalSearchKeyPrompt = "<fmt:message key="application.objectId.txt" />";
         var promptField = document.getElementsByName("searchKey");
         if(promptField[0].value == "") promptField[0].value = globalSearchKeyPrompt;   
      }
   
      function clearSearchPrompt() {
         var globalSearchKeyPrompt = "<fmt:message key="application.objectId.txt" />";
         var promptField = document.getElementsByName("searchKey");
         if(promptField[0].value == globalSearchKeyPrompt) promptField[0].value = "";   
      }
   
      function doSearch() {
         var f = document.forms.globalSearchForm;
         f.action += "?method=search&globalSearch_TCStart=0";
         f.submit();      
      }
   
      function clickThru(tpHandle) {
        var f = document.forms.globalSearchForm;
        var sIndex = tpHandle.indexOf("<%=TaggedPointerHandle.HANDLE_SEPARATOR%>");
        var objectType = tpHandle.substring(0, sIndex);
        var handle = tpHandle.substring(sIndex+1);
        var extraParams = 
          '?method=clickThru' +
          '&objectType=' + objectType +
          '&objectHandle=' + handle;
        f.action += extraParams;
        f.submit();
      }         
   </script>
   </mon:Head>
   <mon:Body>
      <html:form action="/GlobalSearch">
         <mon:ToolBar>
            <mon:Button name="returnButton" onclick="breadcrumb('globalSearchForm')">
               <fmt:message key='returnButton.txt' />
            </mon:Button>
         </mon:ToolBar>

         <mon:Content>
            <table>
               <tr>
                  <td><mon:label property="searchKey"
                     key="globalSearch.blank.txt" /></td>
                  <td><mon:text size="32" property="searchKey"
                     onclick="clearSearchPrompt()"
                     onblur="setSearchPrompt()" /></td>
                  <td><mon:select property="searchType"
                     noneSelectedAlwaysVisible="false">
                     <html:optionsCollection name="model"
                        property="searchTypes" label="label"
                        value="value" />
                  </mon:select></td>
                  <td><input type="button" class="button"
                     onmouseover="this.className='button buttonRollover'"
                     onmouseout="this.className='button'"
                     value="<fmt:message key='application.globalSearchButton.txt' />"
                     onclick="doSearch()" /></td>
               </tr>
            </table>

            <p><mon:tableComponent
               id="srEntry" entryName="globalSearch"
               exportXlsUrl="<%= exportUrl %>" />
         </mon:Content>
      </html:form>
   </mon:Body>
</mon:Page>
