<%@page import="com.sas.solutions.cpb.web.runtime.WebUIContext"%>
<%@page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext"%>
<%@page import="com.sas.oprisk.monitor.web.tags.QuestionTag"%>
<%@page import="java.sql.Timestamp"%>
<%@page import="com.sas.oprisk.server.logical.ResponseMap"%>
<%@ page import="java.util.*" %><%@ 
    page import="com.sas.solutions.cpb.runtime.*" %><%@ 
    page import="com.sas.solutions.cpb.web.tag.field.*" %><%@ 
    page import="com.sas.solutions.cpb.web.util.*" %><%@ 
    page import="com.sas.solutions.cpb.util.*" %><%@ 
    page import="com.sas.solutions.cpb.screendefs.*" %><%@ 
    page import="com.sas.oprisk.server.cpb.*" %><%@ 
    page import="com.sas.oprisk.monitor.web.controlTesting.certifications.*" %><%@ 
    page import="com.sas.oprisk.monitor.web.cpb.runtime.*" %><%@ 
    page import="com.sas.oprisk.monitor.web.cpb.runtime.component.*" %>

<%@ include file="/tiles/taglibs.jsp" %>
<mon:setBundle />

<%
   final String WHITE = "FFF";
   
   final UIContext uiContext = RequestUtil.getUIContext(request);
   final UIDefinitionType uiDefType = uiContext.getUIDefinitionType();
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);  
   final Locale locale = uiContext.getLocale();
   final ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   
   final Field field = componentInfo.getField();
   final VariableDefinition fieldDef = uiDefType.getVariableDefinition(field.getName());
   final String fieldName = field.getName();
   
   // field value
   final ResponseMap responses = (ResponseMap)uiContext.getValue(field);
   
   // evaluate the component parameters
   final Map params = field.getParameters(uiContext);
   
   // did they specify a point-in-time?
   final Timestamp pointInTime = (Timestamp)params.get(MonitorUIDefinitionType.PARAM_POINT_IN_TIME);
   
   // get the measures (already sorted)
   final List measures = CertificationComponent.getMeasures(field, params, uiContext, pointInTime, psession);
   
   // get the first measure (we only support one measure for certification, right now)
   final ResponseScaleType measure = (measures == null || measures.isEmpty()) 
      ? null : (ResponseScaleType)measures.get(0);
   
   final ResponseScale scale = (measure == null || responses == null) ? null 
      : responses.getResponseScale(measure.getHandle(), pointInTime, psession);
   final BusinessObjectResponse boResponse = (measure == null || responses == null) ? null
      : responses.getResponseByMeasure(measure.getHandle());
   
   final String lastReqValue = ((WebUIContext)uiContext).getLastRequestValue(fieldName);
   final String score = lastReqValue != null ? lastReqValue 
      : boResponse == null ? null : ParsingUtil.formatDouble(boResponse.getResponseAmt(), locale);
   
   final ResponseHandle responseHandle = boResponse == null ? null 
      : boResponse.getResponseHandle();

   // retrieve info from the uiContext needed to find the previous certification
   final Timestamp certDttm = (Timestamp)uiContext.getValue(
      BaseControlCertification.Fields.certificationDttm.getName());
   final ControlInstance control = (ControlInstance)uiContext.getValue(
      BaseControlCertification.Fields.control.getName());
   
   // is there a previous certification response?
   final BusinessObjectResponse prevResponse = (measure == null || control == null) ? null 
      : control.getMostRecentCertificationResponseBefore(measure, certDttm, psession);
   
   final boolean neverBeenSaved = Boolean.TRUE.equals(uiContext.getValue(
      MonitorUIContext.DefaultField.NEVER_BEEN_SAVED.getName()));
   
   if (measure != null) {
%>

<mon:include js="/dwr/interface/ControlTestingService.js" />

<%
if(scale != null && scale.getResponses(psession).size() > 0) {
   // write primary field
   QuestionTag.writeResponse(
      scale, 
      ResponseScaleKind.dropDownList, 
      field.getName(), 
      score,
      responseHandle,
      false, 
      componentInfo.isReadOnly(),
      false,
      measure.getVariableName(),
      bundle, 
      psession.getLocale(), 
      pageContext, 
      pointInTime, 
      psession, 
      out);
} else {
   //
   %>
   <c:set var="measure">
      <%=measure.getName(psession)%>
   </c:set>
   <fmt:message key='controlCertification.error.noresponses.fmt.txt'>
      <fmt:param><c:out value="${measure}"/></fmt:param>
   </fmt:message>
   <%
}
%>

<script type="text/javascript">
   var dropDown = document.forms['<c:out value='${componentInfo.formName}' />']['<c:out value='${componentInfo.field.name}' />'];
//alert("dropDown.type: " + dropDown.type);
   if (dropDown && (dropDown.type == 'select-one')) {
      dropDown.afterMethod = certificationChanged;

<%
      // if a previous response exists, add the "Repeat Prior Certification" option to the dropdown
      if (prevResponse != null) {
%>
      // find existing option that matches prev response value
      var prevValue = "<%= QuestionTag.formatDouble(prevResponse.getResponseAmt(), locale) %>";
      var prevOption = getOptionWithValue(dropDown, prevValue);
      var prevColor = prevOption ? prevOption.getAttribute('id') : '';

      // add a new option
      var i = dropDown.length;
      dropDown[i] = new Option(
            "(<fmt:message key='ControlCertification.Certification.repeat.key.txt'/>)", 
            "<%= CertificationComponent.VALUE_REPEAT_CERT %>");
      dropDown[i].setAttribute('id', prevColor);      
<%
      }
%>
      var i = dropDown.length;
      dropDown[i] = new Option(
            "(<fmt:message key='ControlCertification.Certification.unable.key.txt'/>)", 
            "<%= CertificationComponent.VALUE_UNABLE_TO_CERT %>");
//      dropDown[i].setAttribute('id', prevColor);
<%
      // if editing and the value is null, 'UTC' must've been previously selected
      if (score == null && responseHandle == null && !neverBeenSaved && 
          !Boolean.TRUE.equals(request.getAttribute(field.getName() + "_EMPTY"))) 
      {
%>
      selectOption(dropDown, "<%= CertificationComponent.VALUE_UNABLE_TO_CERT %>");
<%
      }
%>

   }
</script>

<% } %>