<%@ page import="java.util.*"%>
<%@ page import="com.sas.oprisk.server.logical.*"%>
<%@ page import="com.sas.oprisk.monitor.web.table.*"%>

<%@ include file="/tiles/taglibs.jsp"%>

<%
   final java.util.Locale locale = request.getLocale();
			final java.util.ResourceBundle bundle = ApplicationProperties
					.getBundle(locale);
			final PersistenceSession psession = MonitorContext
					.getPersistenceSession(request);

			final String exportUrl = request.getContextPath()
					+ "/PotentialTesterPositionsQuery.do?method=export&entryId=positions";

			String selColTitle = "<input type=\"checkbox\" name=\"selectAll\" title=\""
					+ bundle.getString("application.selectAll.tooltip.txt")
					+ "\" />";

			String testersTitle = bundle
					.getString("potentialTesterPosition.field.testers.displayName.txt");

			final String tip = bundle
					.getString("application.selectuser.tooltip.txt");
			final String img = bundle.getString("application.selectuser.image");
%>

<mon:Page template="popup">
   <mon:Head>
      <mon:include js="/script/checkboxRadioUtil.js" />

      <script type="text/javascript">
      
      parent.allowParentToClose = function() 
      {
        // Since this was called from an onClose() event, start a timer that will
        // re-sync the currentDialog variable when the new window is loaded.
        this.window.setTimeout(resyncCurrentDialog, 1000);
        return false;
      }
      
      function resyncCurrentDialog() 
      {
        if ((typeof(opener.currentDialog) != 'undefined') && (opener.currentDialog == null)) 
        {
          opener.setModalDialog(window);
          return;
        }
      
        // parent window isn't ready, wait for a bit and try again 
        this.window.setTimeout(resyncCurrentDialog, 1000);
      }
      
      function doAddSelections(addAndClose) 
      {
        var selections = getSelectedPositionHandles();
        if (selections == null) 
        {
          alert("<fmt:message key='AssessmentWizard.error.noSelections.txt'/>");
        } 
        else 
        {
          //invoke the parent's[ManageTestersAction] javascript method to add the selected positions in it's page.
          window.opener.addSelectedPositions(selections);
          if (addAndClose) { 
            window.close(); 
          }
        }
      }
         
      function getSelectedPositionHandles() 
      {
        //getSelectedCheckboxValues method defined in the checkboxRadioUtil.js
        var values = getSelectedCheckboxValues(document.forms[0], "positionHandle");
        return (values.length == 0) ? null : values;
      }
      
      function showPositionMembership(positionHandle) {
      //window.alert("positionHandle="+positionHandle);
         openModal(
            "<%=request.getContextPath()%>"
            + "/PositionMembershipQuery.do"
            + "?positionHandle="+positionHandle, 
            'user_popup', 'width=750,height=500,scrollbars,resizable');
         return false;
      }
      </script>
   </mon:Head>
   <mon:Body>
      <html:form action="/PotentialTesterPositionsQuery">
         <mon:Content>
            <input type="hidden" name="containerHandle"
               value="<%= StringUtil.escapeHTML(request.getParameter("containerHandle")) %>" />

            <mon:tableComponent
               entryName="positions" id="position"
               exportXlsUrl='<%= exportUrl %>'>
               <mon:title>
                  <fmt:message key="manageTesters.selectByPosition.txt" />
               </mon:title>
               <mon:fixedColumn width="10" title="<%= selColTitle %>">
                  <input type='checkbox' name='positionHandle'
                     value='<c:out value="${position.handle}" />' />
               </mon:fixedColumn>
               <mon:fixedColumn width="10" title="<%= testersTitle %>"
                  before="false">
                  <a href="#"
                     onclick="javascript:showPositionMembership('<c:out value='${position.handle}'/>');">
                  <img src="<%=img%>" border="0" alt="<%=tip%>"
                     title="<%=tip%>"></a>
               </mon:fixedColumn>
            </mon:tableComponent>

            <script type="text/javascript">
               new CheckboxGroup("queryForm", "positionHandle", "selectAll");
             </script>
         </mon:Content>
         <mon:PopupButtonBar>
            <mon:Button name="addButton" onclick="doAddSelections(false)">
               <fmt:message key='application.button.add.txt' />
            </mon:Button>
            <mon:Button name="addAndCloseButton" onclick="doAddSelections(true)">
               <fmt:message key='application.button.addAndClose.txt' />
            </mon:Button>
            <mon:Button name="closeButton" onclick="window.close()">
               <fmt:message key='closeButton.txt' />
            </mon:Button>
         </mon:PopupButtonBar>
      </html:form>
   </mon:Body>
</mon:Page>