<%@ page import="java.text.MessageFormat"%>
<%@ page import="com.sas.oprisk.monitor.web.dimension.*"%>
<%@ page import="com.sas.oprisk.framework.server.util.DateTimeUtils"%>
<%@ page
   import="com.sas.oprisk.framework.server.objects.FieldDescriptor"%>
<%@ page
   import="com.sas.oprisk.monitor.web.tags.smarttags.SmartLabelTag"%>
<%@ page import="com.sas.oprisk.framework.server.util.ParsingUtils" %>
<%@ include file="/tiles/taglibs.jsp"%>

<%-- ****************************************************************** --%>
<%-- DimensionNodeEditor.jsp --%>
<%-- ****************************************************************** --%>

<%
   java.util.Locale locale = request.getLocale();
			java.util.ResourceBundle bundle = ApplicationProperties
					.getBundle(locale);
			final PersistenceSession psession = MonitorContext
					.getPersistenceSession(request);
			final DimensionNodeModel model = (DimensionNodeModel) request
					.getAttribute("model");

			String fullClassName = model.getDimensionNodeClassName();
			String shortClassName = fullClassName.substring(fullClassName
					.lastIndexOf('.') + 1);
			String nameKey = shortClassName + ".objectToMove.txt";
			final String actionPath = DimensionNodeAction.getActionPath(model
					.getNode());
         
         boolean changeReasonRequired = ConfigDataProperties.isChangeReasonRequired();
         
         final DimensionNode node = model.getNode();
         String moveConfirmMsgPattern = bundle.getString("DimensionNode.moveWarning.fmt.txt");
         Object[] args = {node.getDimensionName(locale), node.getName(locale)};
         String moveConfirmMsg = ParsingUtils.escape(MessageFormat.format(moveConfirmMsgPattern, args));

%>

<mon:Page template="details">
   <mon:Head>
      <script type="text/javascript">

      function monitorInit() {
         initNSMenu();
      }
      
      function doDimNode( method ) {
         var f = document.forms.<c:out value="${model.formName}"/>;
         f.method.value = method;
         f.submit();
      }
      
      function doSave() {
         <% if (!changeReasonRequired) { %>
         
            if (!confirm(unescape('<%= moveConfirmMsg %>'))) {
               return;
            }
         
         <% } %>

         var f = document.forms.<c:out value="${model.formName}"/>;
         f.action = "<%=request.getContextPath() + actionPath%>.do?method=move";
         f.submit();
      }
      
      function selectParent(id, name, node) {
         var f = document.forms.<c:out value="${model.formName}"/>;
         f.parentHandle.value = id;
      }
      
      </script>
   </mon:Head>
   <mon:Body>
      <html:form action="<%= actionPath %>">
         <mon:ToolBar>
            <mon:Button name="actionButtonMove" onclick="doSave();">
               <fmt:message key='application.save.txt' />
            </mon:Button>
            <mon:Button name="actionButtonCancel" onclick="breadcrumb('${model.formName}');">
               <fmt:message key="application.cancel.txt" />
            </mon:Button>
         </mon:ToolBar>

         <mon:Content>
            <input type="hidden" name="method" />
            <input type="hidden" name="dimension"
               value="<c:out value="${model.dimensionNodeClassName}"/>" />
            <html:hidden property='<%= model.getFieldProperty("key") %>' />
            <html:hidden property="handle" />
            <html:hidden property="levelNo" />
            <html:hidden property="dimensionValue" />

            <table border="0" width="100%">
               <tr>
                  <th class="fieldlabel"><mon:label
                     key='<%= nameKey %>' property="path"
                     separatorVisible="true" /></th>
                  <td class="field"><c:out value="${model.path}" />
                  </td>
               </tr>

               <tr>
                  <th class="fieldlabel"><mon:label
                     key='dimensionNode.field.parent.displayName.txt'
                     property="parentHandle" separatorVisible="true" />
                  </th>
                  <td><mon:SearchTreeChooser
                     dimensionNodeClassName="<%= model.getDimensionNodeClassName() %>"
                     selectMethod="selectParent" property="parentHandle"
                     showRoot="true"
                     secureObjectClass="<%= model.getNode().getClass().getName() %>"
                     secureAction="<%= Do.UPDATE.getValue() %>"
                     cssStyle="height:145px; width:100%" /></td>
               </tr>

            </table>
         </mon:Content>
      </html:form>
   </mon:Body>
</mon:Page>

