<%-- MENU: Incident Management > Incidents[Status==Under investigation] > Allocations --%>
<%@ include file="/tiles/taglibs.jsp" %>
<%@ page import="com.sas.oprisk.monitor.web.opriskevent.actions.EventFormPageModel" %>
<%@ page import="com.sas.solutions.cpb.web.tag.field.FieldRenderer" %>
<%
   LayoutDirection layoutDirection = LayoutDirection.getLayoutDirection(request);
%>
<mon:Page>
<%-- BEGIN PAGE --%>

   <mon:Head>

<script type="text/javascript">

function wizardInit() {
   // override wizardInit so that buttons are not disabled
}
</script>

   <%-- BEGIN HEAD --%>
   <%-- END HEAD --%>
   </mon:Head>
   
   <mon:Body>
   <%-- BEGIN BODY --%>
      
      <html:form action="/IncidentWizard">
      <mon:ToolBar>
      <%-- BEGIN TOOL BAR --%>
      <%-- END TOOL BAR --%>
      </mon:ToolBar>
      
      <mon:Content>
      <%-- BEGIN CONTENT --%>
   <html:hidden property="opRiskEventId" />
   <html:hidden property="opRiskEventRk" />
   <html:hidden property="referenceNo" />
   <html:hidden property="validationStateCd" />
   <html:hidden property="eventTypeCd" />
   <html:hidden property="handle" />
   <html:hidden property="activeFlg" />
   <html:hidden property="thresholdExceededMsg" />

   <mon:maintainWizardState />

<%-- 
     we need the incidentTypeCd on this page to pass it to the allocation editor 
--%>
<html:hidden property="incidentTypeCd"/>
    
<style type="text/css">

tr.row td.label {
  float: <%=layoutDirection.getLeft()%>;
  text-align: <%=layoutDirection.getLeft()%>;
  margin-<%=layoutDirection.getRight()%>:10px;
}
tr.row td.formw {
  float: <%=layoutDirection.getRight()%>;
  text-align: <%=layoutDirection.getRight()%>;
  font-weight: bold;
  
} 
</style>

<%
   { // nested scope to avoid variable name overlaps
   
   java.util.Locale locale = request.getLocale();
   java.util.ResourceBundle bundle = ApplicationProperties.getBundle(locale);
   EventFormPageModel model = (EventFormPageModel)request.getAttribute("model");
   
   // 4.3 Hotfix 4, retaining delete confirmation if change reason is not required anymore.
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
   boolean changeReasonRequired = ConfigDataProperties.isChangeReasonRequired();
   String deleteConfirmMsg = model.getDeleteConfirmationMessage(psession);
%>
      <script type="text/javascript">
          function confirmGoWizard(methodName, buttonName) {
            <% if (!changeReasonRequired) { %>
            if (methodName == 'delete'){
               return confirm(unescape("<%= deleteConfirmMsg %>"));
            }
            else {
               return true;
            }
            <% } else {%>
            return true;
            <% } %>
          }
      </script>

<table width="100%" class="displayTable" cellspacing="0" id="monetaryBreakdown">

  <thead>
    <tr>
    <th><fmt:message key="IncidentWizard.monetaryBreakdown.title.txt" /></th>
    <th><fmt:message key="application.currency.txt" /></th>
    <th style="text-align:<%=layoutDirection.getRight()%>"><fmt:message key="application.amount.txt" /></th>
    <th style="text-align:<%=layoutDirection.getRight()%>"><fmt:message key="AllocationEditor.computedAmount.label.fmt.txt"><fmt:param value="${model.baseCurrencyCd}" /></fmt:message> </th>
    </tr>
  </thead>

  <tbody>
    <tr class="odd" id="grossLoss">
    <c:choose><c:when test='${breakdown.isGrossAllocation}'>
      <td>
         <strong><fmt:message key="${breakdown.labels['grossLoss']}" /></strong>
      </td>
    </c:when><c:otherwise>
      <td>
         <fmt:message key="${breakdown.labels['grossLoss']}" /> 
      </td>
    </c:otherwise></c:choose>
      <c:choose>
           <c:when test="${!breakdown.grossLossConfidential}">
              <td>
            <c:out value="${breakdown.localCurrencyCd}" />
              </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <fmt:message key='AllocationEditor.amountWithoutCurrency.fmt.txt'>
                     <fmt:param value='${breakdown.grossLoss}' />
               </fmt:message>
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <fmt:message key='AllocationEditor.amountWithoutCurrency.fmt.txt'>
                  <fmt:param value='${breakdown.grossLossInBaseCurrency}' />
               </fmt:message>
               </td>
            
          </c:when>
          <c:otherwise>
              <td>
            <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
              </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
               </td>
          </c:otherwise>
     </c:choose>
    </tr>
   
    <tr class="even" id="directRecoveries">
      <td>
         <fmt:message key="${breakdown.labels['directRecoveries']}" />
      </td>
       <c:choose>
           <c:when test="${!breakdown.directRecoveriesConfidential}">
              <td>
            <c:out value="${breakdown.localCurrencyCd}" />
              </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <fmt:message key='AllocationEditor.amountWithoutCurrency.fmt.txt'>
                  <fmt:param value='${breakdown.directRecoveries}' />
               </fmt:message>
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <fmt:message key='AllocationEditor.amountWithoutCurrency.fmt.txt'>
                  <fmt:param value='${breakdown.directRecoveriesInBaseCurrency}' />
               </fmt:message>
               </td>
            
          </c:when>
          <c:otherwise>
              <td>
            <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
              </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
               </td>
          </c:otherwise>
      </c:choose>
    </tr>
   
    <tr class="odd" id="netBeforeInsurance">
      <td>
        <fmt:message key="${breakdown.labels['netBeforeInsurance']}" />
      </td>
      <c:choose>
           <c:when test="${!(breakdown.directRecoveriesConfidential || breakdown.grossLossConfidential)}">
              <td>
            <c:out value="${breakdown.localCurrencyCd}" />
              </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <fmt:message key='AllocationEditor.amountWithoutCurrency.fmt.txt'>
                     <fmt:param value='${breakdown.netLossBeforeRecoveries}' />
               </fmt:message>
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
                   <fmt:message key='AllocationEditor.amountWithoutCurrency.fmt.txt'>
                     <fmt:param value='${breakdown.netLossBeforeRecoveriesInBaseCurrency}' />
               </fmt:message>
               </td>
            
          </c:when>
          <c:otherwise>
              <td>
            <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
              </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
               </td>
          </c:otherwise>
      </c:choose>
    </tr>
   
    <tr class="even" id="insuranceRecoveryAmount">
      <td>
         <fmt:message key="${breakdown.labels['insuranceRecoveries']}" />
      </td>
      <c:choose>
           <c:when test="${!breakdown.insuranceRecoveriesConfidential}">
              <td>
            <c:out value="${breakdown.localCurrencyCd}" />
              </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <fmt:message key='AllocationEditor.amountWithoutCurrency.fmt.txt'>
                     <fmt:param value='${breakdown.insuranceRecoveries}' />
               </fmt:message>
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <fmt:message key='AllocationEditor.amountWithoutCurrency.fmt.txt'>
                     <fmt:param value='${breakdown.insuranceRecoveriesInBaseCurrency}' />
               </fmt:message>
               </td>
            
          </c:when>
          <c:otherwise>
              <td>
            <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
              </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
               </td>
          </c:otherwise>
      </c:choose>
    </tr>
   
    <tr class="odd" id="totalRecoveryAmount"> 
      <td>
         <fmt:message key="${breakdown.labels['totalRecoveries']}" />
      </td>
      <c:choose>
           <c:when test="${!(breakdown.directRecoveriesConfidential || breakdown.insuranceRecoveriesConfidential)}">
              <td>
            <c:out value="${breakdown.localCurrencyCd}" />
              </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <fmt:message key='AllocationEditor.amountWithoutCurrency.fmt.txt'>
                     <fmt:param value='${breakdown.totalRecoveries}' />
               </fmt:message>
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
                   <fmt:message key='AllocationEditor.amountWithoutCurrency.fmt.txt'>
                     <fmt:param value='${breakdown.totalRecoveriesInBaseCurrency}' />
               </fmt:message>
               </td>
            
          </c:when>
          <c:otherwise>
              <td>
            <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
              </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
               </td>
          </c:otherwise>
      </c:choose>
    </tr>

    <tr class="even" id="netLossAmount">
    <c:choose><c:when test='${breakdown.isGrossAllocation}'>
      <td>
         <fmt:message key="${breakdown.labels['netLoss']}" />
      </td>
    </c:when><c:otherwise>
      <td>
         <strong><fmt:message key="${breakdown.labels['netLoss']}" /></strong>
      </td>
    </c:otherwise></c:choose>

       <c:choose>
           <c:when test="${!requestScope.model.readOnly || !(breakdown.directRecoveriesConfidential || breakdown.insuranceRecoveriesConfidential || breakdown.grossLossConfidential)}">
              <td>
            <c:out value="${breakdown.localCurrencyCd}" />
              </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <fmt:message key='AllocationEditor.amountWithoutCurrency.fmt.txt'>
                     <fmt:param value='${breakdown.netLoss}' />
               </fmt:message>
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <fmt:message key='AllocationEditor.amountWithoutCurrency.fmt.txt'>
                     <fmt:param value='${breakdown.netLossInBaseCurrency}' />
               </fmt:message>
               </td>
            
          </c:when>
          <c:otherwise>
              <td>
            <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
              </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
                  <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
               </td>
          </c:otherwise>
      </c:choose>
    </tr>   
  </tbody>   
</table>
   
<%
} // end nested scope
%>


<c:if test='${breakdown.incidentAllocationEnable}'>

<%@ include file="allocation/allocationTable.jspf" %>
 
   <table id='AllocationSummaryTable' style='margin-top: 1em;'>
      <tr  id='totalAllocatedRow' class='allocationTotal'>
        <td>
          <strong><fmt:message key='AllocationEditor.allocated.label.txt' /></strong>:
        </td>
        <td align='<%=layoutDirection.getRight()%>'>
           <c:choose>
            <c:when test='${isTotalPercentAllocatedConfidential  || isTotalAmountAllocatedConfidential}'>
               <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
            </c:when>
            <c:otherwise>
               <fmt:formatNumber type='PERCENT' value='${breakdown.totalPercentAllocated}' maxFractionDigits="2"/>
               
            </c:otherwise>
          </c:choose>
        </td>
        <td align='<%=layoutDirection.getRight()%>'>
           <c:choose>
         <c:when test='${isTotalPercentAllocatedConfidential || isTotalAmountAllocatedConfidential}'>
            (<%=FieldRenderer.renderConfidentialField(request.getLocale()) %>)
         </c:when>
         <c:otherwise>
            (<fmt:message key='AllocationEditor.amountWithCurrency.fmt.txt'>
               <fmt:param value='${breakdown.totalAmountAllocated}' />
                     <fmt:param value='${breakdown.totalAmountAllocatedCurrencyCd}' />
                     <fmt:param value='${breakdown.totalPercentAllocated}' />
                     </fmt:message> )
         </c:otherwise>
            </c:choose>
        </td>
      </tr>
   <c:choose>  
      <c:when test='${isTotalPercentAllocatedConfidential || isTotalAmountAllocatedConfidential }'>
      
           <tr id='unallocatedRow' class='allocationTotal'>
               <td>
               <strong><fmt:message key='AllocationEditor.unallocated.label.txt' />/
               <strong><fmt:message key='AllocationEditor.overallocated.label.txt' /></strong>
               </strong>:
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
            <%=FieldRenderer.renderConfidentialField(request.getLocale()) %>
               </td>
               <%// Hide Total Unallocated Amount or Overallocated Amount when its amount based allocation (isTotalPercentAllocatedConfidential =true)   //    %>
               <td align='<%=layoutDirection.getRight()%>'>
              (<%=FieldRenderer.renderConfidentialField(request.getLocale()) %>)
               </td>
             </tr>
      </c:when>
      <c:otherwise>
         <c:choose>
           <c:when test='${not breakdown.isOverallocated}'>
             <tr id='unallocatedRow' class='allocationTotal'>
               <td>
                 <strong><fmt:message key='AllocationEditor.unallocated.label.txt' /></strong>:
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
               <fmt:formatNumber type='PERCENT' value='${breakdown.totalPercentUnallocated}' maxFractionDigits="2"/>
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
            (<fmt:message key='AllocationEditor.amountWithCurrency.fmt.txt'>
                   <fmt:param value='${breakdown.totalAmountUnallocated}' />
                   <fmt:param value='${breakdown.totalAmountAllocatedCurrencyCd}' />
                   <fmt:param value='${breakdown.totalPercentUnallocated}' />
                   </fmt:message> )
               </td>
             </tr>
           </c:when>
           <c:otherwise>
             <tr id='overallocatedRow' class='allocationError'>
               <td>
                 <strong><fmt:message key='AllocationEditor.overallocated.label.txt' /></strong>:
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
               <fmt:formatNumber type='PERCENT' value='${breakdown.totalPercentOverallocated}' />
               </td>
               <td align='<%=layoutDirection.getRight()%>'>
                (<fmt:message key='AllocationEditor.amountWithCurrency.fmt.txt'>
                         <fmt:param value='${breakdown.totalAmountOverallocated}' />
                        <fmt:param value='${breakdown.totalAmountAllocatedCurrencyCd}' />
                        <fmt:param value='${breakdown.totalPercentOverallocated}' />
                  </fmt:message>)
               </td>
             </tr>
           </c:otherwise>
         </c:choose>
      </c:otherwise>
   </c:choose>
      </table>

</c:if>
      <%-- END CONTENT --%>
      </mon:Content>
   
      </html:form>
      
   <%-- END BODY --%>
   </mon:Body>
   
<%-- END PAGE --%>
</mon:Page> 