<%@ include file="/tiles/taglibs.jsp"%>
<%@ page import="java.util.*"%>
<%@ page import="com.ibm.icu.text.*"%>
<%@ page import="com.sas.oprisk.framework.server.util.*"%>
<%@ page import="com.sas.oprisk.monitor.web.incident.allocation.*"%>
<%@ page
   import="com.sas.oprisk.monitor.web.tags.smarttags.SmartLabelTag"%>
<%@ page import="com.sas.oprisk.server.*"%>
<%@ page import="com.sas.solutions.cpb.runtime.*"%>
<%@ page import="com.sas.solutions.cpb.screendefs.*"%>
<%@ page import="com.sas.solutions.cpb.screendefs.xml.validator.*"%>
<%@ page import="com.sas.oprisk.monitor.web.cpb.runtime.*"%>
<%@ page import="com.sas.oprisk.server.iap.Commentable"%>
<%@ page import="com.sas.oprisk.server.AttachmentContainer"%>
<%@ page import="org.apache.struts.action.ActionMapping"%>

<%
   Locale locale = request.getLocale();
	ResourceBundle bundle = ApplicationProperties.getBundle(locale);
	String context = request.getContextPath();
	PersistenceSession psession = MonitorContext
			.getPersistenceSession(request);

	AllocationEditorPageModel model = (AllocationEditorPageModel) request
			.getAttribute("model");
	boolean isReadOnly = model.readOnly();

	// overwrite if we only care about done
	String doneAsCloseValue = request.getParameter("doneAsClose"); //(String)request.getAttribute("doneAsClose");
	boolean doneAsClose = doneAsCloseValue != null ? (doneAsCloseValue
			.equals("true") ? true : false) : false;
	if (doneAsClose)
		isReadOnly = true;
	
	if (!model.getAllocation().can(Do.UPDATE, psession)){
	   isReadOnly = true;
	}

	String pointLocationHandle = model.getPointLocationHandle();

	final String template = request.getAttribute("template") != null
      ? (String) request.getAttribute("template")
      : "details";

	try {
%>

<mon:Page template="<%= template %>">
   <mon:Head>
      <script type="text/javascript">

      function submitToAction(action) {
        document.forms.<%=model.getFormName()%>.action = action;
        document.forms.<%=model.getFormName()%>.submit();
      }
      
      function go(action,extraParams) {
        var url = "<%=context + model.getActionName()%>" + "?method=" + action;
        if (extraParams != null) url = url + "&" + extraParams;
        submitToAction( url );
      }
      
      function forward(path, anchor) {
        path = escape(path);
        if (anchor && (anchor != "")) {
          path += "#" + anchor;
        }
      
        go('forward', 'path=' + path );
      }
      
      <%-- Page refresh method to be called by popups --%>
      function popupCloser_refresh() {
        go('returnToEditor');
      }
      
      </script>
   </mon:Head>
   <mon:Body>
      <html:form action="/IncidentAllocation">
         <mon:ToolBar>
            <c:if test="${doneAsClose}" >
               <mon:Button name="actionButton" onclick="window.close()">
                  <fmt:message key='application.button.done.txt' />
               </mon:Button>
            </c:if>
            
            <c:if test="${!doneAsClose}" >
            
            <% if ( isReadOnly ) { %>
               <mon:Button name="actionButton2" onclick="go('cancel')">
                  <fmt:message key='application.button.done.txt' />
               </mon:Button>                        
            <% } else { %>
               <mon:Button name="actionButton1" onclick="go('save')">
                  <fmt:message key='application.ok.txt' />
               </mon:Button>
               <mon:Button name="actionButton2" onclick="go('cancel')">
                  <fmt:message key='application.cancel.txt' />
               </mon:Button>
            <% } %>            
            </c:if>
         </mon:ToolBar>

         <mon:Content>
            <input type="hidden" name="method" value="refresh" />

            <%-- do I really need to keep isFresh in the form ?? --%>

            <html:hidden property="handle" />
            <html:hidden property="isFresh" />
            <html:hidden property="sourceSystemCd" />
            <html:hidden property="financialImpactId" />
            <html:hidden property="impactTypeCd" />
            <html:hidden property="referenceNo" />
            <html:hidden property="impactTypeCd" />
            <html:hidden property="impactShortDesc" />
            <html:hidden property="validationStateCd" />
            <html:hidden property="financialImpactRk" />
            <html:hidden property="isAllocationFlg" />
            <html:hidden property="allocationMethod" />
            <html:hidden property="linkedEvent" />
            <html:hidden property="draftFlg" />
            <html:hidden property="confidentialityCd" />
            <html:hidden property="combinedConfidentialityCd" />
            <html:hidden property="sharedLossFlg" />
            <html:hidden property="threshold" />
            <html:hidden property="incidentTypeCd" />
            <html:hidden property="effectNatureCd" />
            <c:set var='currency'
               value='${breakdown.totalAmountAllocatedCurrencyCd}' />

            <input type="hidden" name="opRiskEventHandle"
               value='<%=request
										.getParameter("opRiskEventHandle")%>' />

            <%-- render the screen --%>
            <cpb:screen screenID="incidentAmountAllocation"
               readOnly="<%= isReadOnly %>" />
         </mon:Content>
      </html:form>
   </mon:Body>
</mon:Page>


<%
   } catch (Throwable t) {
				t.printStackTrace();
			}
%>